begin;
insert into lui_t_formgroup (code, name, formgroup_code, app_code)
Select 'LUI4ORA2PG', 'RUS:;ENG:Migration;', null, 'LUI4ORA2PG'
where not exists (Select null from lui_t_formgroup where Code='LUI4ORA2PG' and app_code='LUI4ORA2PG')
;
Delete from lui_t_value where form_code='O2P_H_PG_DUMP' and app_code='LUI4ORA2PG';
Delete from lui_t_config where form_code='O2P_H_PG_DUMP' and app_code='LUI4ORA2PG';
Delete from lui_t_element where form_code='O2P_H_PG_DUMP' and app_code='LUI4ORA2PG';
Delete from lui_t_form where Code='O2P_H_PG_DUMP' and app_code='LUI4ORA2PG';
insert into lui_t_form (code, formtype_code, formgroup_code, app_code, complete_time) values ('O2P_H_PG_DUMP', 'HOST', 'LUI4ORA2PG', 'LUI4ORA2PG', null);
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('P_FILENAME', 'PARAM', 'O2P_H_PG_DUMP', 'RUS:  ;ENG:Dump filename;', null, 1, 'LUI4ORA2PG');
insert into lui_t_config (code, form_code, name, config_code, app_code) values ('DEFAULT', 'O2P_H_PG_DUMP', 'RUS:   ora2pg_project;ENG:Backup o2p schema;', null, 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_PG_DUMP', 'DEFAULT', null, 'COMMAND_TEXT', null,
'pg_dump --dbname={SQL:select replace(replace(''{ApplicationProperty:dbURL}'',''jdbc:'',''''),''://'',''://{ApplicationProperty:dbUser}:{DECR:{ApplicationProperty:dbPassword}}@'')} -n {ApplicationProperty:dbSCHEMA} -F p -f "{F:P_FILENAME}" --inserts --no-privileges', 'LUI4ORA2PG');
Delete from lui_t_value where form_code='O2P_H_INIT_PROJECT' and app_code='LUI4ORA2PG';
Delete from lui_t_config where form_code='O2P_H_INIT_PROJECT' and app_code='LUI4ORA2PG';
Delete from lui_t_element where form_code='O2P_H_INIT_PROJECT' and app_code='LUI4ORA2PG';
Delete from lui_t_form where Code='O2P_H_INIT_PROJECT' and app_code='LUI4ORA2PG';
insert into lui_t_form (code, formtype_code, formgroup_code, app_code, complete_time) values ('O2P_H_INIT_PROJECT', 'HOST', 'LUI4ORA2PG', 'LUI4ORA2PG', null);
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('P_PROJECT_CODE', 'PARAM', 'O2P_H_INIT_PROJECT', 'RUS: ;ENG:Project Code;', null, 1, 'LUI4ORA2PG');
insert into lui_t_config (code, form_code, name, config_code, app_code) values ('DEFAULT', 'O2P_H_INIT_PROJECT', 'RUS: ;ENG:Create project;', null, 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_INIT_PROJECT', 'DEFAULT', null, 'COMMAND_TEXT', null, 'ora2pg --init_project {F:P_PROJECT_CODE}', 'LUI4ORA2PG');
Delete from lui_t_value where form_code='O2P_H_CONVERT' and app_code='LUI4ORA2PG';
Delete from lui_t_config where form_code='O2P_H_CONVERT' and app_code='LUI4ORA2PG';
Delete from lui_t_element where form_code='O2P_H_CONVERT' and app_code='LUI4ORA2PG';
Delete from lui_t_form where Code='O2P_H_CONVERT' and app_code='LUI4ORA2PG';
insert into lui_t_form (code, formtype_code, formgroup_code, app_code, complete_time) values ('O2P_H_CONVERT', 'HOST', 'LUI4ORA2PG', 'LUI4ORA2PG', null);
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('P_PROJECT_CODE', 'PARAM', 'O2P_H_CONVERT', 'RUS: ;ENG:Project Code;', null, 1, 'LUI4ORA2PG');
insert into lui_t_config (code, form_code, name, config_code, app_code) values ('DEFAULT', 'O2P_H_CONVERT', 'RUS:;', null, 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_CONVERT', 'DEFAULT', null, 'COMMAND_RESULT', null, '0', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_CONVERT', 'DEFAULT', null, 'COMMAND_STDOUT_2_FILE', null,
'{ApplicationProperty:TmpDir}{F:P_PROJECT_CODE}/export_schema.log', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_CONVERT', 'DEFAULT', null, 'COMMAND_TEXT', null,
'{ApplicationProperty:TmpDir}{F:P_PROJECT_CODE}/export_schema.sh', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_CONVERT', 'DEFAULT', null, 'COMMAND_WRKDIR', null, '{ApplicationProperty:TmpDir}{F:P_PROJECT_CODE}/', 'LUI4ORA2PG');
Delete from lui_t_value where form_code='O2P_H_CONVERT_MOVE_DATA' and app_code='LUI4ORA2PG';
Delete from lui_t_config where form_code='O2P_H_CONVERT_MOVE_DATA' and app_code='LUI4ORA2PG';
Delete from lui_t_element where form_code='O2P_H_CONVERT_MOVE_DATA' and app_code='LUI4ORA2PG';
Delete from lui_t_form where Code='O2P_H_CONVERT_MOVE_DATA' and app_code='LUI4ORA2PG';
insert into lui_t_form (code, formtype_code, formgroup_code, app_code, complete_time) values ('O2P_H_CONVERT_MOVE_DATA', 'HOST', 'LUI4ORA2PG', 'LUI4ORA2PG', null);
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('P_MIGRATION_METHOD', 'PARAM', 'O2P_H_CONVERT_MOVE_DATA', 'RUS:  ;ENG:Data migration method;', null, 2, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('P_PROJECT_CODE', 'PARAM', 'O2P_H_CONVERT_MOVE_DATA', 'RUS: ;ENG:Project Code;', null, 1, 'LUI4ORA2PG');
insert into lui_t_config (code, form_code, name, config_code, app_code) values ('DEFAULT', 'O2P_H_CONVERT_MOVE_DATA', 'RUS:   ;', null, 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_CONVERT_MOVE_DATA', 'DEFAULT', null, 'COMMAND_RESULT', null, '0', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_CONVERT_MOVE_DATA', 'DEFAULT', null, 'COMMAND_TEXT', null,
'ora2pg -t {F:P_MIGRATION_METHOD} -o data.sql -b ./data -c ./config/ora2pg.conf', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_CONVERT_MOVE_DATA', 'DEFAULT', null, 'COMMAND_WRKDIR', null, '{ApplicationProperty:TmpDir}{F:P_PROJECT_CODE}/', 'LUI4ORA2PG');
Delete from lui_t_value where form_code='O2P_H_RUN_STEP_SCRIPT' and app_code='LUI4ORA2PG';
Delete from lui_t_config where form_code='O2P_H_RUN_STEP_SCRIPT' and app_code='LUI4ORA2PG';
Delete from lui_t_element where form_code='O2P_H_RUN_STEP_SCRIPT' and app_code='LUI4ORA2PG';
Delete from lui_t_form where Code='O2P_H_RUN_STEP_SCRIPT' and app_code='LUI4ORA2PG';
insert into lui_t_form (code, formtype_code, formgroup_code, app_code, complete_time) values ('O2P_H_RUN_STEP_SCRIPT', 'HOST', 'LUI4ORA2PG', 'LUI4ORA2PG', null);
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('$P_PGCONN_DBNAME', 'PARAM', 'O2P_H_RUN_STEP_SCRIPT', 'RUS:    ;ENG:Connection database name;', null, 7, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('$P_PGCONN_HOST', 'PARAM', 'O2P_H_RUN_STEP_SCRIPT', 'RUS:   ;ENG:Connection host name;', null, 5, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('$P_PGCONN_LOGIN', 'PARAM', 'O2P_H_RUN_STEP_SCRIPT', 'RUS:   ;ENG:Connection login;', null, 8, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('$P_PGCONN_PASSWD', 'PARAM', 'O2P_H_RUN_STEP_SCRIPT', 'RUS:   ;ENG:Connection user password;', null, 9, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('$P_PGCONN_PORT', 'PARAM', 'O2P_H_RUN_STEP_SCRIPT', 'RUS:  ;ENG:Connection port;', null, 6, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('$P_SCRIPT_FILENAME', 'PARAM', 'O2P_H_RUN_STEP_SCRIPT', 'RUS:    ;ENG:The name of the executable script file;', null, 4, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('$P_SCRIPT_FILEPATH', 'PARAM', 'O2P_H_RUN_STEP_SCRIPT', 'RUS:     ;ENG:The path to the executable script file;', null, 3, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('P_POSTGRES_CONNECTION_ID', 'PARAM', 'O2P_H_RUN_STEP_SCRIPT', 'RUS:ID   PostgreSQL;ENG:PostgreSQL connection ID;', null, 2, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('P_STEP_SCRIPT_ID', 'PARAM', 'O2P_H_RUN_STEP_SCRIPT', 'RUS:ID  ,     ;ENG:Script ID;', null, 1, 'LUI4ORA2PG');
insert into lui_t_config (code, form_code, name, config_code, app_code) values ('DEFAULT', 'O2P_H_RUN_STEP_SCRIPT', 'RUS: ,     ;', null, 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_PGCONN_DBNAME', 'DESCRIPTION', null,
'    .   P_POSTGRES_CONNECTION_ID.', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_PGCONN_DBNAME', 'VALUE', null,
'{SQL:select min(dbname) from o2p_t_postgres_connection where id = {F2SQL:P_POSTGRES_CONNECTION_ID}}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_PGCONN_HOST', 'DESCRIPTION', null,
'    .   P_POSTGRES_CONNECTION_ID.', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_PGCONN_HOST', 'VALUE', null,
'{SQL:select min(host) from o2p_t_postgres_connection where id = {F2SQL:P_POSTGRES_CONNECTION_ID}}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_PGCONN_LOGIN', 'DESCRIPTION', null,
'    .   P_POSTGRES_CONNECTION_ID.', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_PGCONN_LOGIN', 'VALUE', null,
'{SQL:select min(login) from o2p_t_postgres_connection where id = {F2SQL:P_POSTGRES_CONNECTION_ID}}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_PGCONN_PASSWD', 'DESCRIPTION', null,
'    .   P_POSTGRES_CONNECTION_ID.', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_PGCONN_PASSWD', 'VALUE', null,
'{SQL:select min(password) from o2p_t_postgres_connection where id = {F2SQL:P_POSTGRES_CONNECTION_ID}}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_PGCONN_PORT', 'DESCRIPTION', null,
'    .   P_POSTGRES_CONNECTION_ID.', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_PGCONN_PORT', 'VALUE', null,
'{SQL:select min(port) from o2p_t_postgres_connection where id = {F2SQL:P_POSTGRES_CONNECTION_ID}}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_SCRIPT_FILENAME', 'DESCRIPTION', null,
'    .   P_STEP_SCRIPT_ID.', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_SCRIPT_FILENAME', 'VALUE', null,
'{SQL:select min(filename) from o2p_t_step_script where id = {F2SQL:P_STEP_SCRIPT_ID}}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_SCRIPT_FILEPATH', 'DESCRIPTION', null,
'    .   P_STEP_SCRIPT_ID.', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', '$P_SCRIPT_FILEPATH', 'VALUE', null,
'{SQL:select min(filepath) from o2p_t_step_script where id = {F2SQL:P_STEP_SCRIPT_ID}}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', null, 'COMMAND_STDERR_2_FILE', null, '{F:$P_SCRIPT_FILEPATH}/{F:$P_SCRIPT_FILENAME}.log', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', null, 'COMMAND_STDOUT_2_FILE', null, '{F:$P_SCRIPT_FILEPATH}/{F:$P_SCRIPT_FILENAME}.log', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', null, 'COMMAND_TEXT', null,
'psql postgresql://{F:$P_PGCONN_LOGIN}:{F:$P_PGCONN_PASSWD}@{F:$P_PGCONN_HOST}:{F:$P_PGCONN_PORT}/{F:$P_PGCONN_DBNAME} -v ON_STOP_ERROR=ON -e -f "{F:$P_SCRIPT_FILEPATH}/{F:$P_SCRIPT_FILENAME}"', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_H_RUN_STEP_SCRIPT', 'DEFAULT', null, 'COMMAND_WRKDIR', null, '{F:$P_SCRIPT_FILEPATH}', 'LUI4ORA2PG');
commit;