﻿set search_path=lui,public;

begin;

Delete from lui_t_user where app_code='LUI4ORA2PG';
Delete from lui_t_form_hold where app_code='LUI4ORA2PG';
Delete from lui_t_form where app_code='LUI4ORA2PG';
Delete from lui_t_form_hold where app_code='LUI4ORA2PG';
Delete from lui_t_application where code='LUI4ORA2PG';


insert into lui_t_application(code,name,description,notes,OWNER,creation_datetime)
VALUES('LUI4ORA2PG','RUS:Миграция;ENG:Migration;','RUS:;','RUS:;','ora2pg_project','2019-08-23 15:25:48.513638')
on conflict (code) do update set name=EXCLUDED.name,description=EXCLUDED.description,notes=EXCLUDED.notes,owner=EXCLUDED.owner;

insert into lui_t_language(code,enable,is_def,name,web_icon,app_code,locale)
VALUES('RUS','Y','Y','RUS:Русский;DE:Russisch;FR:Russe;ES:Ruso;ENG:Russian;',NULL,'LUI4ORA2PG','ru_RU')
on conflict (app_code,code) do update set enable=EXCLUDED.enable,is_def=EXCLUDED.is_def,name=EXCLUDED.name,web_icon=EXCLUDED.web_icon;


insert into lui_t_language(code,enable,is_def,name,web_icon,app_code,locale)
VALUES('ENG','Y','N','RUS:Английский;ENG:English;',NULL,'LUI4ORA2PG','en_EN')
on conflict (app_code,code) do update set enable=EXCLUDED.enable,is_def=EXCLUDED.is_def,name=EXCLUDED.name,web_icon=EXCLUDED.web_icon;

update lui_t_language set language_code='ENG'
where code='RUS' and app_code='LUI4ORA2PG';
update lui_t_language set language_code='RUS'
where code='ENG' and app_code='LUI4ORA2PG';

insert into lui_t_application_property(app_code,code,name,notes,lov,def_value,value,lui_datatype,lui_dataformat,changing,optional,in_memory)
VALUES('LUI4ORA2PG','DEBUG_MODE','RUS:Режим отладки;ENG:Debug Mode;',NULL,'LOVD:N:N;Y:Y;','N','Y','CHAR',NULL,'Y','Y','Y')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,lov=EXCLUDED.lov,def_value=EXCLUDED.def_value,value=EXCLUDED.value,lui_datatype=EXCLUDED.lui_datatype,lui_dataformat=EXCLUDED.lui_dataformat,changing=EXCLUDED.changing,optional=EXCLUDED.optional,in_memory=EXCLUDED.in_memory;
insert into lui_t_application_property(app_code,code,name,notes,lov,def_value,value,lui_datatype,lui_dataformat,changing,optional,in_memory)
VALUES('LUI4ORA2PG','APPEARANCE','RUS:Визуальное представление приложения;ENG:Appearance;',NULL,NULL,'Windows',NULL,'CHAR',NULL,'Y','Y','Y')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,lov=EXCLUDED.lov,def_value=EXCLUDED.def_value,value=EXCLUDED.value,lui_datatype=EXCLUDED.lui_datatype,lui_dataformat=EXCLUDED.lui_dataformat,changing=EXCLUDED.changing,optional=EXCLUDED.optional,in_memory=EXCLUDED.in_memory;
insert into lui_t_application_property(app_code,code,name,notes,lov,def_value,value,lui_datatype,lui_dataformat,changing,optional,in_memory)
VALUES('LUI4ORA2PG','FORM2RUN_SYNC_TASK','RUS:Форма для запуска синхронных задач;ENG:Form to start synchronous tasks;',NULL,NULL,'LUI.LUI_B_TASK_RUN_SYNC',NULL,'CHAR',NULL,'Y','N','Y')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,lov=EXCLUDED.lov,def_value=EXCLUDED.def_value,value=EXCLUDED.value,lui_datatype=EXCLUDED.lui_datatype,lui_dataformat=EXCLUDED.lui_dataformat,changing=EXCLUDED.changing,optional=EXCLUDED.optional,in_memory=EXCLUDED.in_memory;
insert into lui_t_application_property(app_code,code,name,notes,lov,def_value,value,lui_datatype,lui_dataformat,changing,optional,in_memory)
VALUES('LUI4ORA2PG','STYLE_BEFORE_LOGON','RUS:Стиль перед входом в приложение;ENG:Style before logon;',NULL,NULL,'default','default','CHAR',NULL,'Y','Y','Y')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,lov=EXCLUDED.lov,def_value=EXCLUDED.def_value,value=EXCLUDED.value,lui_datatype=EXCLUDED.lui_datatype,lui_dataformat=EXCLUDED.lui_dataformat,changing=EXCLUDED.changing,optional=EXCLUDED.optional,in_memory=EXCLUDED.in_memory;
insert into lui_t_application_property(app_code,code,name,notes,lov,def_value,value,lui_datatype,lui_dataformat,changing,optional,in_memory)
VALUES('LUI4ORA2PG','MAIN_MENU_AUTOEXPAND','RUS:Автоматическое открытие пунктов главного меню;ENG:Expand main menu items automatically;',NULL,'LOVD:N:{NLS:RUS:Нет;ENG:No;};Y:{NLS:RUS:Да;ENG:Yes;};','N','N','CHAR',NULL,'C','N','N')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,lov=EXCLUDED.lov,def_value=EXCLUDED.def_value,value=EXCLUDED.value,lui_datatype=EXCLUDED.lui_datatype,lui_dataformat=EXCLUDED.lui_dataformat,changing=EXCLUDED.changing,optional=EXCLUDED.optional,in_memory=EXCLUDED.in_memory;
insert into lui_t_application_property(app_code,code,name,notes,lov,def_value,value,lui_datatype,lui_dataformat,changing,optional,in_memory)
VALUES('LUI4ORA2PG','MAIN_MENU_AUTORUNITEM','RUS:Автоматический вызов форм из пунктов главного меню;ENG:Automatic call of forms from the main menu items;',NULL,'LOVD:N:{NLS:RUS:Нет;ENG:No;};Y:{NLS:RUS:Да;ENG:Yes;};','N','N','CHAR',NULL,'C','N','N')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,lov=EXCLUDED.lov,def_value=EXCLUDED.def_value,value=EXCLUDED.value,lui_datatype=EXCLUDED.lui_datatype,lui_dataformat=EXCLUDED.lui_dataformat,changing=EXCLUDED.changing,optional=EXCLUDED.optional,in_memory=EXCLUDED.in_memory;
insert into lui_t_application_property(app_code,code,name,notes,lov,def_value,value,lui_datatype,lui_dataformat,changing,optional,in_memory)
VALUES('LUI4ORA2PG','ABOUT_RUS','RUS:Подробное описание приложения на русском;ENG:Wide description on Russian;',NULL,NULL,NULL,'

','RICHTEXT',NULL,'Y','Y','N')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,lov=EXCLUDED.lov,def_value=EXCLUDED.def_value,value=EXCLUDED.value,lui_datatype=EXCLUDED.lui_datatype,lui_dataformat=EXCLUDED.lui_dataformat,changing=EXCLUDED.changing,optional=EXCLUDED.optional,in_memory=EXCLUDED.in_memory;
insert into lui_t_application_property(app_code,code,name,notes,lov,def_value,value,lui_datatype,lui_dataformat,changing,optional,in_memory)
VALUES('LUI4ORA2PG','ABOUT_ENG','RUS:Подробное описание на английском;ENG:Wide description on English;',NULL,NULL,NULL,'

','CHAR',NULL,'Y','Y','N')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,lov=EXCLUDED.lov,def_value=EXCLUDED.def_value,value=EXCLUDED.value,lui_datatype=EXCLUDED.lui_datatype,lui_dataformat=EXCLUDED.lui_dataformat,changing=EXCLUDED.changing,optional=EXCLUDED.optional,in_memory=EXCLUDED.in_memory;
insert into lui_t_application_property(app_code,code,name,notes,lov,def_value,value,lui_datatype,lui_dataformat,changing,optional,in_memory)
VALUES('LUI4ORA2PG','INITIAL_FORM','RUS:Начальная (стартовая) форма;ENG:Initial form;',NULL,'LOVQ:select /*[TITLE:{NLS:RUS:Выберите форму;ENG:Choose form;}]*/ form_code "{NLS:RUS:Код;ENG:Code;}",NLS(name,''{Property:CURRENT_LANG}'',''LUI'') "{NLS:RUS:Название в конфигурации DEFAULT;ENG:Name of DEFAULT configuration;}"  from lui_t_config c,lui_t_form f where c.code=''DEFAULT'' and c.app_code=''{F:P_APPCODE}'' and f.code=c.form_code  order by 1',NULL,'O2P_B_LOGON','CHAR',NULL,'Y','Y','Y')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,lov=EXCLUDED.lov,def_value=EXCLUDED.def_value,value=EXCLUDED.value,lui_datatype=EXCLUDED.lui_datatype,lui_dataformat=EXCLUDED.lui_dataformat,changing=EXCLUDED.changing,optional=EXCLUDED.optional,in_memory=EXCLUDED.in_memory;
insert into lui_t_application_property(app_code,code,name,notes,lov,def_value,value,lui_datatype,lui_dataformat,changing,optional,in_memory)
VALUES('LUI4ORA2PG','STYLE_AFTER_LOGON','RUS:Стиль после входа в приложение;ENG:Style after logon;',NULL,NULL,'default','lui4ora2pg','CHAR',NULL,'Y','Y','Y')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,lov=EXCLUDED.lov,def_value=EXCLUDED.def_value,value=EXCLUDED.value,lui_datatype=EXCLUDED.lui_datatype,lui_dataformat=EXCLUDED.lui_dataformat,changing=EXCLUDED.changing,optional=EXCLUDED.optional,in_memory=EXCLUDED.in_memory;
insert into lui_t_application_property(app_code,code,name,notes,lov,def_value,value,lui_datatype,lui_dataformat,changing,optional,in_memory)
VALUES('LUI4ORA2PG','FVCS_MODE','RUS:Режим управления версиями форм;ENG:Form version control mode;',NULL,'LOVD:N:{NLS:RUS:Нет контроля версий;ENG:No version control;};S:{NLS:RUS:Один разработчик для одной формы одновременно;ENG:One developer for form simultaneously;};M:{NLS:RUS:Несколько разработчиков одной формы одновременно;ENG:Many developers for form simultaneously;};','S','N','CHAR',NULL,'C','N','N')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,lov=EXCLUDED.lov,def_value=EXCLUDED.def_value,value=EXCLUDED.value,lui_datatype=EXCLUDED.lui_datatype,lui_dataformat=EXCLUDED.lui_dataformat,changing=EXCLUDED.changing,optional=EXCLUDED.optional,in_memory=EXCLUDED.in_memory;


update lui_t_application_property 
set changing='Y', 
    def_value='#!/bin/sh
#-------------------------------------------------------------------------------
#
# Generated by Ora2Pg, the Oracle database Schema converter, version 20.0
#
#-------------------------------------------------------------------------------
EXPORT_TYPE="TABLE PACKAGE VIEW GRANT SEQUENCE TRIGGER FUNCTION PROCEDURE TABLESPACE PARTITION TYPE MVIEW DBLINK SYNONYM DIRECTORY"
SOURCE_TYPE="PACKAGE VIEW TRIGGER FUNCTION PROCEDURE PARTITION TYPE MVIEW"
namespace="."

ora2pg -t SHOW_TABLE -c $namespace/config/ora2pg.conf > $namespace/reports/tables.txt
ora2pg -t SHOW_COLUMN -c $namespace/config/ora2pg.conf > $namespace/reports/columns.txt
ora2pg -t SHOW_REPORT -c $namespace/config/ora2pg.conf --dump_as_html --estimate_cost > $namespace/reports/report.html

for etype in $(echo $EXPORT_TYPE | tr " " "\n")
do
        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`
        ltype=`echo $ltype | sed ''s/y$/ie/''`
        echo "Running: ora2pg -p -t $etype -o $ltype.sql -b $namespace/schema/${ltype}s -c $namespace/config/ora2pg.conf"
        ora2pg -p -t $etype -o $ltype.sql -b $namespace/schema/${ltype}s -c $namespace/config/ora2pg.conf
    ret=`grep "Nothing found" $namespace/schema/${ltype}s/$ltype.sql 2> /dev/null`
    if [ ! -z "$ret" ]; then
        rm $namespace/schema/${ltype}s/$ltype.sql
    fi
done

for etype in $(echo $SOURCE_TYPE | tr " " "\n")
do
        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`
        ltype=`echo $ltype | sed ''s/y$/ie/''`
        echo "Running: ora2pg -t $etype -o $ltype.sql -b $namespace/sources/${ltype}s -c $namespace/config/ora2pg.conf"
        ora2pg -t $etype -o $ltype.sql -b $namespace/sources/${ltype}s -c $namespace/config/ora2pg.conf
    ret=`grep "Nothing found" $namespace/sources/${ltype}s/$ltype.sql 2> /dev/null`
    if [ ! -z "$ret" ]; then
        rm $namespace/sources/${ltype}s/$ltype.sql
    fi
done

echo
echo
echo "To extract data use the following command:"
echo
echo "ora2pg -t COPY -o data.sql -b $namespace/data -c $namespace/config/ora2pg.conf"
echo

exit 0
',
    in_memory='Y',
    lov='',
    lui_dataformat='',
    lui_datatype='CHAR',
    name='RUS:Исполняемый скрипт для миграции схемы данных;ENG:Executable Script for Schema Migration;',
    notes='',
    optional='N'
where app_code='LUI4ORA2PG'
and code='EXPORT_SCHEMA_SCRIPT';

insert into lui_t_application_property(app_code,code,name,notes,lov,
lui_datatype,lui_dataformat,changing,optional,in_memory,def_value)
select 'LUI4ORA2PG','EXPORT_SCHEMA_SCRIPT',
'RUS:Исполняемый скрипт для миграции схемы данных;ENG:Executable Script for Schema Migration;',
'',
'',
'CHAR',
'',
'Y', 
'N',
'Y',
'#!/bin/sh
#-------------------------------------------------------------------------------
#
# Generated by Ora2Pg, the Oracle database Schema converter, version 20.0
#
#-------------------------------------------------------------------------------
EXPORT_TYPE="TABLE PACKAGE VIEW GRANT SEQUENCE TRIGGER FUNCTION PROCEDURE TABLESPACE PARTITION TYPE MVIEW DBLINK SYNONYM DIRECTORY"
SOURCE_TYPE="PACKAGE VIEW TRIGGER FUNCTION PROCEDURE PARTITION TYPE MVIEW"
namespace="."

ora2pg -t SHOW_TABLE -c $namespace/config/ora2pg.conf > $namespace/reports/tables.txt
ora2pg -t SHOW_COLUMN -c $namespace/config/ora2pg.conf > $namespace/reports/columns.txt
ora2pg -t SHOW_REPORT -c $namespace/config/ora2pg.conf --dump_as_html --estimate_cost > $namespace/reports/report.html

for etype in $(echo $EXPORT_TYPE | tr " " "\n")
do
        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`
        ltype=`echo $ltype | sed ''s/y$/ie/''`
        echo "Running: ora2pg -p -t $etype -o $ltype.sql -b $namespace/schema/${ltype}s -c $namespace/config/ora2pg.conf"
        ora2pg -p -t $etype -o $ltype.sql -b $namespace/schema/${ltype}s -c $namespace/config/ora2pg.conf
    ret=`grep "Nothing found" $namespace/schema/${ltype}s/$ltype.sql 2> /dev/null`
    if [ ! -z "$ret" ]; then
        rm $namespace/schema/${ltype}s/$ltype.sql
    fi
done

for etype in $(echo $SOURCE_TYPE | tr " " "\n")
do
        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`
        ltype=`echo $ltype | sed ''s/y$/ie/''`
        echo "Running: ora2pg -t $etype -o $ltype.sql -b $namespace/sources/${ltype}s -c $namespace/config/ora2pg.conf"
        ora2pg -t $etype -o $ltype.sql -b $namespace/sources/${ltype}s -c $namespace/config/ora2pg.conf
    ret=`grep "Nothing found" $namespace/sources/${ltype}s/$ltype.sql 2> /dev/null`
    if [ ! -z "$ret" ]; then
        rm $namespace/sources/${ltype}s/$ltype.sql
    fi
done

echo
echo
echo "To extract data use the following command:"
echo
echo "ora2pg -t COPY -o data.sql -b $namespace/data -c $namespace/config/ora2pg.conf"
echo

exit 0
'
''
where 0=(select count(*) from lui_t_application_property apr 
where apr.app_code='LUI4ORA2PG' and apr.code='EXPORT_SCHEMA_SCRIPT');



update lui_t_application_property 
set changing='Y', 
    def_value='#!/bin/sh
EXPORT_TYPE="TABLE PACKAGE VIEW GRANT SEQUENCE TRIGGER FUNCTION PROCEDURE TABLESPACE PARTITION TYPE MVIEW DBLINK SYNONYM DIRECTORY"
SOURCE_TYPE="PACKAGE VIEW TRIGGER FUNCTION PROCEDURE PARTITION TYPE MVIEW"
namespace="."
for etype in $(echo $EXPORT_TYPE | tr " " "\n")
do
        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`
        ltype=`echo $ltype | sed ''s/y$/ie/''`
        echo "Running: ora2pg -p -t $etype -o $ltype.sql -b $namespace/schema/${ltype}s -c $namespace/config/ora2pg.conf"
        ora2pg -p -t $etype -o $ltype.sql -b $namespace/schema/${ltype}s -c $namespace/config/ora2pg.conf
    ret=`grep "Nothing found" $namespace/schema/${ltype}s/$ltype.sql 2> /dev/null`
    if [ ! -z "$ret" ]; then
        rm $namespace/schema/${ltype}s/$ltype.sql
    fi
done

for etype in $(echo $SOURCE_TYPE | tr " " "\n")
do
        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`
        ltype=`echo $ltype | sed ''s/y$/ie/''`
        echo "Running: ora2pg -t $etype -o $ltype.sql -b $namespace/sources/${ltype}s -c $namespace/config/ora2pg.conf"
        ora2pg -t $etype -o $ltype.sql -b $namespace/sources/${ltype}s -c $namespace/config/ora2pg.conf
    ret=`grep "Nothing found" $namespace/sources/${ltype}s/$ltype.sql 2> /dev/null`
    if [ ! -z "$ret" ]; then
        rm $namespace/sources/${ltype}s/$ltype.sql
    fi
done

exit 0
',
    in_memory='Y',
    lov='|',
    lui_dataformat='|',
    lui_datatype='CHAR',
    name='RUS:Исполняемый скрипт для миграции схемы данных;ENG:Executable Script for Schema Migration;',
    notes='|',
    optional='N'
where app_code='LUI4ORA2PG'
and code='EXPORT_SCHEMA_SCRIPT';

insert into lui_t_application_property(app_code,code,name,notes,lov,
lui_datatype,lui_dataformat,changing,optional,in_memory,def_value)
select 'LUI4ORA2PG','EXPORT_SCHEMA_SCRIPT',
'RUS:Исполняемый скрипт для миграции схемы данных;ENG:Executable Script for Schema Migration;',
'|',
'|',
'CHAR',
'|',
'Y', 
'N',
'Y',
'#!/bin/sh
EXPORT_TYPE="TABLE PACKAGE VIEW GRANT SEQUENCE TRIGGER FUNCTION PROCEDURE TABLESPACE PARTITION TYPE MVIEW DBLINK SYNONYM DIRECTORY"
SOURCE_TYPE="PACKAGE VIEW TRIGGER FUNCTION PROCEDURE PARTITION TYPE MVIEW"
namespace="."
for etype in $(echo $EXPORT_TYPE | tr " " "\n")
do
        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`
        ltype=`echo $ltype | sed ''s/y$/ie/''`
        echo "Running: ora2pg -p -t $etype -o $ltype.sql -b $namespace/schema/${ltype}s -c $namespace/config/ora2pg.conf"
        ora2pg -p -t $etype -o $ltype.sql -b $namespace/schema/${ltype}s -c $namespace/config/ora2pg.conf
    ret=`grep "Nothing found" $namespace/schema/${ltype}s/$ltype.sql 2> /dev/null`
    if [ ! -z "$ret" ]; then
        rm $namespace/schema/${ltype}s/$ltype.sql
    fi
done

for etype in $(echo $SOURCE_TYPE | tr " " "\n")
do
        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`
        ltype=`echo $ltype | sed ''s/y$/ie/''`
        echo "Running: ora2pg -t $etype -o $ltype.sql -b $namespace/sources/${ltype}s -c $namespace/config/ora2pg.conf"
        ora2pg -t $etype -o $ltype.sql -b $namespace/sources/${ltype}s -c $namespace/config/ora2pg.conf
    ret=`grep "Nothing found" $namespace/sources/${ltype}s/$ltype.sql 2> /dev/null`
    if [ ! -z "$ret" ]; then
        rm $namespace/sources/${ltype}s/$ltype.sql
    fi
done

exit 0
'
'#!/bin/sh
EXPORT_TYPE="TABLE PACKAGE VIEW GRANT SEQUENCE TRIGGER FUNCTION PROCEDURE TABLESPACE PARTITION TYPE MVIEW DBLINK SYNONYM DIRECTORY"
SOURCE_TYPE="PACKAGE VIEW TRIGGER FUNCTION PROCEDURE PARTITION TYPE MVIEW"
namespace="."
ora2pg -t SHOW_REPORT -c $namespace/config/ora2pg.conf --dump_as_html --estimate_cost > $namespace/reports/report.html
for etype in $(echo $EXPORT_TYPE | tr " " "\n")
do
        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`
        ltype=`echo $ltype | sed ''s/y$/ie/''`
        echo "Running: ora2pg -p -t $etype -o $ltype.sql -b $namespace/schema/${ltype}s -c $namespace/config/ora2pg.conf"
        ora2pg -p -t $etype -o $ltype.sql -b $namespace/schema/${ltype}s -c $namespace/config/ora2pg.conf
    ret=`grep "Nothing found" $namespace/schema/${ltype}s/$ltype.sql 2> /dev/null`
    if [ ! -z "$ret" ]; then
        rm $namespace/schema/${ltype}s/$ltype.sql
    fi
done

for etype in $(echo $SOURCE_TYPE | tr " " "\n")
do
        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`
        ltype=`echo $ltype | sed ''s/y$/ie/''`
        echo "Running: ora2pg -t $etype -o $ltype.sql -b $namespace/sources/${ltype}s -c $namespace/config/ora2pg.conf"
        ora2pg -t $etype -o $ltype.sql -b $namespace/sources/${ltype}s -c $namespace/config/ora2pg.conf
    ret=`grep "Nothing found" $namespace/sources/${ltype}s/$ltype.sql 2> /dev/null`
    if [ ! -z "$ret" ]; then
        rm $namespace/sources/${ltype}s/$ltype.sql
    fi
done

exit 0
'
where 0=(select count(*) from lui_t_application_property apr 
where apr.app_code='LUI4ORA2PG' and apr.code='EXPORT_SCHEMA_SCRIPT');




update lui_t_application_property 
set changing='Y', 
    def_value='#!/bin/sh'||chr(10)||'EXPORT_TYPE="TABLE PACKAGE VIEW GRANT SEQUENCE TRIGGER FUNCTION PROCEDURE TABLESPACE PARTITION TYPE MVIEW DBLINK SYNONYM DIRECTORY"'||chr(10)||'SOURCE_TYPE="PACKAGE VIEW TRIGGER FUNCTION PROCEDURE PARTITION TYPE MVIEW"'||chr(10)||''||chr(10)||'for etype in $(echo $EXPORT_TYPE | tr " " "\n")'||chr(10)||'do'||chr(10)||'        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`'||chr(10)||'        ltype=`echo $ltype | sed ''s/y$/ie/''`'||chr(10)||'        ora2pg -p -t $etype -o $ltype.sql -b ./schema/${ltype}s -c ./config/ora2pg.conf'||chr(10)||'        ret=`grep "Nothing found" ./schema/${ltype}s/$ltype.sql 2> /dev/null`'||chr(10)||'        if [ ! -z "$ret" ]; then'||chr(10)||'          rm ./schema/${ltype}s/$ltype.sql'||chr(10)||'        fi'||chr(10)||'done'||chr(10)||''||chr(10)||'for etype in $(echo $SOURCE_TYPE | tr " " "\n")'||chr(10)||'do'||chr(10)||'        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`'||chr(10)||'        ltype=`echo $ltype | sed ''s/y$/ie/''`'||chr(10)||'        for srcfile in ./sources/${ltype}s/*.sql;'||chr(10)||'        do '||chr(10)||'          if [ "$srcfile" != "./sources/${ltype}s/*.sql" ]'||chr(10)||'          then'||chr(10)||'            cp ./schema/${ltype}s/$ltype.sql{,.bak}'||chr(10)||'            ora2pg -t $etype -i $srcfile -o $ltype.sql -b ./schema/${ltype}s -c ./config/ora2pg.conf'||chr(10)||'            cat ./schema/${ltype}s/$ltype.sql.bak ./schema/${ltype}s/$ltype.sql >./schema/${ltype}s/${ltype}2.sql'||chr(10)||'            mv -f ./schema/${ltype}s/${ltype}2.sql ./schema/${ltype}s/$ltype.sql'||chr(10)||'            rm ./schema/${ltype}s/$ltype.sql.bak'||chr(10)||'          fi'||chr(10)||'        done'||chr(10)||'        ret=`grep "Nothing found" ./schema/${ltype}s/$ltype.sql 2> /dev/null`'||chr(10)||'        if [ ! -z "$ret" ]; then'||chr(10)||'          rm ./sources/${ltype}s/$ltype.sql'||chr(10)||'        fi'||chr(10)||'done'||chr(10)||''||chr(10)||'exit 0',
    value='#!/bin/sh'||chr(10)||'EXPORT_TYPE="TABLE PACKAGE VIEW GRANT SEQUENCE TRIGGER FUNCTION PROCEDURE TABLESPACE PARTITION TYPE MVIEW DBLINK SYNONYM DIRECTORY"'||chr(10)||'SOURCE_TYPE="PACKAGE VIEW TRIGGER FUNCTION PROCEDURE PARTITION TYPE MVIEW"'||chr(10)||''||chr(10)||'for etype in $(echo $EXPORT_TYPE | tr " " "\n")'||chr(10)||'do'||chr(10)||'        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`'||chr(10)||'        ltype=`echo $ltype | sed ''s/y$/ie/''`'||chr(10)||'        ora2pg -p -t $etype -o $ltype.sql -b ./schema/${ltype}s -c ./config/ora2pg.conf'||chr(10)||'        ret=`grep "Nothing found" ./schema/${ltype}s/$ltype.sql 2> /dev/null`'||chr(10)||'        if [ ! -z "$ret" ]; then'||chr(10)||'          rm ./schema/${ltype}s/$ltype.sql'||chr(10)||'        fi'||chr(10)||'done'||chr(10)||''||chr(10)||'for etype in $(echo $SOURCE_TYPE | tr " " "\n")'||chr(10)||'do'||chr(10)||'        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`'||chr(10)||'        ltype=`echo $ltype | sed ''s/y$/ie/''`'||chr(10)||'        for srcfile in ./sources/${ltype}s/*.sql;'||chr(10)||'        do '||chr(10)||'          if [ "$srcfile" != "./sources/${ltype}s/*.sql" ]'||chr(10)||'          then'||chr(10)||'            cp ./schema/${ltype}s/$ltype.sql{,.bak}'||chr(10)||'            ora2pg -t $etype -i $srcfile -o $ltype.sql -b ./schema/${ltype}s -c ./config/ora2pg.conf'||chr(10)||'            cat ./schema/${ltype}s/$ltype.sql.bak ./schema/${ltype}s/$ltype.sql >./schema/${ltype}s/${ltype}2.sql'||chr(10)||'            mv -f ./schema/${ltype}s/${ltype}2.sql ./schema/${ltype}s/$ltype.sql'||chr(10)||'            rm ./schema/${ltype}s/$ltype.sql.bak'||chr(10)||'          fi'||chr(10)||'        done'||chr(10)||'        ret=`grep "Nothing found" ./schema/${ltype}s/$ltype.sql 2> /dev/null`'||chr(10)||'        if [ ! -z "$ret" ]; then'||chr(10)||'          rm ./sources/${ltype}s/$ltype.sql'||chr(10)||'        fi'||chr(10)||'done'||chr(10)||''||chr(10)||'exit 0',
    in_memory='Y',
    lov=null,
    lui_dataformat=null,
    lui_datatype='CHAR',
    name='RUS:Исполняемый скрипт для миграции схемы данных;ENG:Executable Script for Schema Migration;',
    notes=null,
    optional='N'
where app_code='LUI4ORA2PG'
and code='EXPORT_SCHEMA_SCRIPT';
insert into lui_t_application_property(app_code,code,name,notes,lov,
lui_datatype,lui_dataformat,changing,optional,in_memory,def_value,value)
select 'LUI4ORA2PG','EXPORT_SCHEMA_SCRIPT',
'RUS:Исполняемый скрипт для миграции схемы данных;ENG:Executable Script for Schema Migration;',
null,
null,
'CHAR',
null,
'Y', 
'N',
'Y',
'#!/bin/sh'||chr(10)||'EXPORT_TYPE="TABLE PACKAGE VIEW GRANT SEQUENCE TRIGGER FUNCTION PROCEDURE TABLESPACE PARTITION TYPE MVIEW DBLINK SYNONYM DIRECTORY"'||chr(10)||'SOURCE_TYPE="PACKAGE VIEW TRIGGER FUNCTION PROCEDURE PARTITION TYPE MVIEW"'||chr(10)||''||chr(10)||'for etype in $(echo $EXPORT_TYPE | tr " " "\n")'||chr(10)||'do'||chr(10)||'        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`'||chr(10)||'        ltype=`echo $ltype | sed ''s/y$/ie/''`'||chr(10)||'        ora2pg -p -t $etype -o $ltype.sql -b ./schema/${ltype}s -c ./config/ora2pg.conf'||chr(10)||'        ret=`grep "Nothing found" ./schema/${ltype}s/$ltype.sql 2> /dev/null`'||chr(10)||'        if [ ! -z "$ret" ]; then'||chr(10)||'          rm ./schema/${ltype}s/$ltype.sql'||chr(10)||'        fi'||chr(10)||'done'||chr(10)||''||chr(10)||'for etype in $(echo $SOURCE_TYPE | tr " " "\n")'||chr(10)||'do'||chr(10)||'        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`'||chr(10)||'        ltype=`echo $ltype | sed ''s/y$/ie/''`'||chr(10)||'        for srcfile in ./sources/${ltype}s/*.sql;'||chr(10)||'        do '||chr(10)||'          if [ "$srcfile" != "./sources/${ltype}s/*.sql" ]'||chr(10)||'          then'||chr(10)||'            cp ./schema/${ltype}s/$ltype.sql{,.bak}'||chr(10)||'            ora2pg -t $etype -i $srcfile -o $ltype.sql -b ./schema/${ltype}s -c ./config/ora2pg.conf'||chr(10)||'            cat ./schema/${ltype}s/$ltype.sql.bak ./schema/${ltype}s/$ltype.sql >./schema/${ltype}s/${ltype}2.sql'||chr(10)||'            mv -f ./schema/${ltype}s/${ltype}2.sql ./schema/${ltype}s/$ltype.sql'||chr(10)||'            rm ./schema/${ltype}s/$ltype.sql.bak'||chr(10)||'          fi'||chr(10)||'        done'||chr(10)||'        ret=`grep "Nothing found" ./schema/${ltype}s/$ltype.sql 2> /dev/null`'||chr(10)||'        if [ ! -z "$ret" ]; then'||chr(10)||'          rm ./sources/${ltype}s/$ltype.sql'||chr(10)||'        fi'||chr(10)||'done'||chr(10)||''||chr(10)||'exit 0',
'#!/bin/sh'||chr(10)||'EXPORT_TYPE="TABLE PACKAGE VIEW GRANT SEQUENCE TRIGGER FUNCTION PROCEDURE TABLESPACE PARTITION TYPE MVIEW DBLINK SYNONYM DIRECTORY"'||chr(10)||'SOURCE_TYPE="PACKAGE VIEW TRIGGER FUNCTION PROCEDURE PARTITION TYPE MVIEW"'||chr(10)||''||chr(10)||'for etype in $(echo $EXPORT_TYPE | tr " " "\n")'||chr(10)||'do'||chr(10)||'        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`'||chr(10)||'        ltype=`echo $ltype | sed ''s/y$/ie/''`'||chr(10)||'        ora2pg -p -t $etype -o $ltype.sql -b ./schema/${ltype}s -c ./config/ora2pg.conf'||chr(10)||'        ret=`grep "Nothing found" ./schema/${ltype}s/$ltype.sql 2> /dev/null`'||chr(10)||'        if [ ! -z "$ret" ]; then'||chr(10)||'          rm ./schema/${ltype}s/$ltype.sql'||chr(10)||'        fi'||chr(10)||'done'||chr(10)||''||chr(10)||'for etype in $(echo $SOURCE_TYPE | tr " " "\n")'||chr(10)||'do'||chr(10)||'        ltype=`echo $etype | tr ''[:upper:]'' ''[:lower:]''`'||chr(10)||'        ltype=`echo $ltype | sed ''s/y$/ie/''`'||chr(10)||'        for srcfile in ./sources/${ltype}s/*.sql;'||chr(10)||'        do '||chr(10)||'          if [ "$srcfile" != "./sources/${ltype}s/*.sql" ]'||chr(10)||'          then'||chr(10)||'            cp ./schema/${ltype}s/$ltype.sql{,.bak}'||chr(10)||'            ora2pg -t $etype -i $srcfile -o $ltype.sql -b ./schema/${ltype}s -c ./config/ora2pg.conf'||chr(10)||'            cat ./schema/${ltype}s/$ltype.sql.bak ./schema/${ltype}s/$ltype.sql >./schema/${ltype}s/${ltype}2.sql'||chr(10)||'            mv -f ./schema/${ltype}s/${ltype}2.sql ./schema/${ltype}s/$ltype.sql'||chr(10)||'            rm ./schema/${ltype}s/$ltype.sql.bak'||chr(10)||'          fi'||chr(10)||'        done'||chr(10)||'        ret=`grep "Nothing found" ./schema/${ltype}s/$ltype.sql 2> /dev/null`'||chr(10)||'        if [ ! -z "$ret" ]; then'||chr(10)||'          rm ./sources/${ltype}s/$ltype.sql'||chr(10)||'        fi'||chr(10)||'done'||chr(10)||''||chr(10)||'exit 0'
where 0=(select count(*) from lui_t_application_property apr 
where apr.app_code='LUI4ORA2PG' and apr.code='EXPORT_SCHEMA_SCRIPT');


update lui_t_application_property 
set changing='Y', 
    def_value=null,
    value='/opt/oracle/product/12.2',
    in_memory='Y',
    lov=null,
    lui_dataformat=null,
    lui_datatype='CHAR',
    name='RUS:Домашний подкаталог Oracle;ENG:Oracle Home Path;',
    notes=null,
    optional='Y'
where app_code='LUI4ORA2PG'
and code='ORACLE_HOME';
insert into lui_t_application_property(app_code,code,name,notes,lov,
lui_datatype,lui_dataformat,changing,optional,in_memory,def_value,value)
select 'LUI4ORA2PG','ORACLE_HOME',
'RUS:Домашний подкаталог Oracle;ENG:Oracle Home Path;',
null,
null,
'CHAR',
null,
'Y', 
'Y',
'Y',
null,
'/opt/oracle/product/12.2'
where 0=(select count(*) from lui_t_application_property apr 
where apr.app_code='LUI4ORA2PG' and apr.code='ORACLE_HOME');


update lui_t_application_property 
set changing='Y', 
    def_value='#!/bin/sh'||chr(10)||'namespace="."'||chr(10)||'ora2pg -t SHOW_REPORT -c $namespace/config/ora2pg.conf --dump_as_html --estimate_cost > $namespace/reports/report.html'||chr(10)||'exit 0'||chr(10)||'',
    value='#!/bin/sh'||chr(10)||'namespace="."'||chr(10)||'ora2pg -t SHOW_REPORT -c $namespace/config/ora2pg.conf --dump_as_html --estimate_cost > $namespace/reports/report.html'||chr(10)||'exit 0',
    in_memory='Y',
    lov=null,
    lui_dataformat=null,
    lui_datatype='CHAR',
    name='RUS:Исполняемый скрипт для получения отчёта о мигрируемой схеме данных;',
    notes=null,
    optional='N'
where app_code='LUI4ORA2PG'
and code='REPORT_SCRIPT';
insert into lui_t_application_property(app_code,code,name,notes,lov,
lui_datatype,lui_dataformat,changing,optional,in_memory,def_value,value)
select 'LUI4ORA2PG','REPORT_SCRIPT',
'RUS:Исполняемый скрипт для получения отчёта о мигрируемой схеме данных;',
null,
null,
'CHAR',
null,
'Y', 
'N',
'Y',
'#!/bin/sh'||chr(10)||'namespace="."'||chr(10)||'ora2pg -t SHOW_REPORT -c $namespace/config/ora2pg.conf --dump_as_html --estimate_cost > $namespace/reports/report.html'||chr(10)||'exit 0'||chr(10)||'',
'#!/bin/sh'||chr(10)||'namespace="."'||chr(10)||'ora2pg -t SHOW_REPORT -c $namespace/config/ora2pg.conf --dump_as_html --estimate_cost > $namespace/reports/report.html'||chr(10)||'exit 0'
where 0=(select count(*) from lui_t_application_property apr 
where apr.app_code='LUI4ORA2PG' and apr.code='REPORT_SCRIPT');


update lui_t_application_property 
set changing='N', 
    def_value='001.00',
    value='001.00',
    in_memory='Y',
    lov=null,
    lui_dataformat=null,
    lui_datatype='CHAR',
    name='RUS:Версия;ENG:Revision;',
    notes=null,
    optional='N'
where app_code='LUI4ORA2PG'
and code='REVISION';
insert into lui_t_application_property(app_code,code,name,notes,lov,
lui_datatype,lui_dataformat,changing,optional,in_memory,def_value,value)
select 'LUI4ORA2PG','REVISION',
'RUS:Версия;ENG:Revision;',
null,
null,
'CHAR',
null,
'N', 
'N',
'Y',
'001.00',
'001.00'
where 0=(select count(*) from lui_t_application_property apr 
where apr.app_code='LUI4ORA2PG' and apr.code='REVISION');

COMMIT;

