﻿set search_path=lui,public;

begin;

insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-00001','I'
,'RUS:Параметр <p1> перемещён в группу <p2>!;ENG:Parameter <p1> moved into the group <p2>!;'
,'RUS:Теперь параметр <p1> ищите в группе <p2>.;ENG:Now look for parameter <p1> in the group <p2>.;'
,''
,''
where 1>(select count(*) from lui_t_message where code='O2P-00001' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-00002','E'
,'RUS:Изменение статуса участия в проектах миграции невозможно. Пользователь <p1> уже участвует в проектах.;'
,'RUS:Обратитесь в службу поддержки;ENG:Contact support service;'
,''
,''
where 1>(select count(*) from lui_t_message where code='O2P-00002' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-00003','E'
,'RUS:Значение не должно превышать 250 символов!;'
,'RUS:;ENG:;'
,'%значение не умещается в тип character varying(250)%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-00003' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-00004','E'
,'RUS:Указанный период (с <p2> по <p3>) участия пользователя <p1> в проекте пересекается с периодом (с <p4> по <p5>) действия другой записи об этом же участнике проекта!;ENG:The indicated period (from <p2> to <p3>) of user <p1> participation in the project overlaps with the validity period (from <p4> по <p5>) of another record about the same project participant!;'
,'RUS:Укажите корректные значения для новых граничных дат участия пользователя в проекте, либо измените имеющиеся.;ENG:Specify the correct values for the new boundary dates for user participation in the project, or change the existing ones.;'
,''
,''
where 1>(select count(*) from lui_t_message where code='O2P-00004' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-00005','E'
,'RUS:У проекта (<p1>) не может быть более одного руководителя в один и тот же период времени (с <p2> по <p3>)!;ENG:The project (<p1>) cannot have more than one leader in the same time period (from <p2> to <p3>)!;'
,'RUS:Укажите корректные значения для граничных дат участия пользователя в проекте в качестве руководителя, либо измените имеющиеся.;ENG:Specify the correct values for the boundary dates of user participation in the project as a leader, or change the existing ones.;'
,''
,''
where 1>(select count(*) from lui_t_message where code='O2P-00005' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-00006','E'
,'RUS:Действующий (<p1>) и новый (<p2>) руководители проекта <p3> совпадают!;ENG:The current (<p1>) and new (<p2>) project managers <p3> are the same!;'
,'RUS:Укажите другого пользователя в качестве руководителя проекта, либо измените граничные даты для действующего руководителя проекта.;ENG:Specify another user as the project manager, or change the boundary dates for the current project manager.;'
,''
,''
where 1>(select count(*) from lui_t_message where code='O2P-00006' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70001','E'
,'RUS:Такое значение "Имя пользователя" для "Пользователь" уже существует!;ENG:Such value "username" for "o2p_t_user" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p2_t_user_pk ("username") таблицы o2p_t_user.;ENG:Primary key o2p2_t_user_pk ("username") have violated for the table o2p_t_user.;'
,'%o2p2_t_user_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70001' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70002','E'
,'RUS:Такая комбинация значений ("Код проекта", "Имя схемы") для "Схемы, исключаемые из миграции" уже существует!;ENG:Such combination of values ("name", "project4oschema_code") for "o2p_t_oracle_schema" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_oracle_schema_pk ("name", "project4oschema_code") таблицы o2p_t_oracle_schema.;ENG:Primary key o2p_t_oracle_schema_pk ("name", "project4oschema_code") have violated for the table o2p_t_oracle_schema.;'
,'%o2p_t_oracle_schema_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70002' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70003','E'
,'RUS:Такое значение "ID соединения с БД Oracle" для "База данных oracle, из которой требуется мигрировать" уже существует!;ENG:Such value "id" for "o2p_t_oracle_connection" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_oracle_connection_pk ("id") таблицы o2p_t_oracle_connection.;ENG:Primary key o2p_t_oracle_connection_pk ("id") have violated for the table o2p_t_oracle_connection.;'
,'%o2p_t_oracle_connection_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70003' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70004','E'
,'RUS:Такое значение "ID" для "Объект проекта миграции" уже существует!;ENG:Such value "id" for "o2p_t_project_object" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_project_object_pk ("id") таблицы o2p_t_project_object.;ENG:Primary key o2p_t_project_object_pk ("id") have violated for the table o2p_t_project_object.;'
,'%o2p_t_project_object_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70004' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70005','E'
,'RUS:Такая комбинация значений ("Код параметра миграции", "ID объекта миграции") для "Значение конфигурационного параметра" уже существует!;ENG:Such combination of values ("par4val_code", "mo4parval_id") for "o2p_t_parameter_value" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_parameter_value_pk ("par4val_code", "mo4parval_id") таблицы o2p_t_parameter_value.;ENG:Primary key o2p_t_parameter_value_pk ("par4val_code", "mo4parval_id") have violated for the table o2p_t_parameter_value.;'
,'%o2p_t_parameter_value_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70005' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70006','E'
,'RUS:Такое значение "ID" для "Журнал выполнения миграции" уже существует!;ENG:Such value "id" for "o2p_t_migration_log" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_migration_log_pk ("id") таблицы o2p_t_migration_log.;ENG:Primary key o2p_t_migration_log_pk ("id") have violated for the table o2p_t_migration_log.;'
,'%o2p_t_migration_log_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70006' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70007','E'
,'RUS:Такое значение "Код проекта" для "Проект миграции" уже существует!;ENG:Such value "code" for "o2p_t_project" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_project_pk ("code") таблицы o2p_t_project.;ENG:Primary key o2p_t_project_pk ("code") have violated for the table o2p_t_project.;'
,'%o2p_t_project_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70007' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70008','E'
,'RUS:Такая комбинация значений ("Код параметра миграции", "Наименование значения параметра") для "Возможное значение параметра" уже существует!;ENG:Such combination of values ("par4val_code", "name") for "o2p_t_rf_allowable_parameter_value" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_rf_allowable_parameter_value_pk ("par4val_code", "name") таблицы o2p_t_rf_allowable_parameter_value.;ENG:Primary key o2p_t_rf_allowable_parameter_value_pk ("par4val_code", "name") have violated for the table o2p_t_rf_allowable_parameter_value.;'
,'%o2p_t_rf_allowable_parameter_value_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70008' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70009','E'
,'RUS:Такое значение "Код группы конфигурационных параметров" для "Группа конфигурационных параметров" уже существует!;ENG:Such value "code" for "o2p_t_rf_config_group" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_rf_config_group_pk ("code") таблицы o2p_t_rf_config_group.;ENG:Primary key o2p_t_rf_config_group_pk ("code") have violated for the table o2p_t_rf_config_group.;'
,'%o2p_t_rf_config_group_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70009' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70010','E'
,'RUS:Такое значение "Код конфигурационного параметра" для "Параметр конфигурации" уже существует!;ENG:Such value "code" for "o2p_t_rf_config_parameter" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_rf_config_parameter_pk ("code") таблицы o2p_t_rf_config_parameter.;ENG:Primary key o2p_t_rf_config_parameter_pk ("code") have violated for the table o2p_t_rf_config_parameter.;'
,'%o2p_t_rf_config_parameter_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70010' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70011','E'
,'RUS:Такое значение "Наименование типа данных" для "Тип данных конфигурационного параметра" уже существует!;ENG:Such value "name" for "o2p_t_rf_datatype" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_rf_datatype_pk ("name") таблицы o2p_t_rf_datatype.;ENG:Primary key o2p_t_rf_datatype_pk ("name") have violated for the table o2p_t_rf_datatype.;'
,'%o2p_t_rf_datatype_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70011' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70012','E'
,'RUS:Такое значение "Код результата миграции" для "Результат миграции" уже существует!;ENG:Such value "code" for "o2p_t_rf_migration_result" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_rf_migration_result_pk ("code") таблицы o2p_t_rf_migration_result.;ENG:Primary key o2p_t_rf_migration_result_pk ("code") have violated for the table o2p_t_rf_migration_result.;'
,'%o2p_t_rf_migration_result_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70012' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70013','E'
,'RUS:Такое значение "Код состояния объекта миграции" для "Состояние объекта миграции" уже существует!;ENG:Such value "code" for "o2p_t_rf_object_status" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_rf_object_status_pk ("code") таблицы o2p_t_rf_object_status.;ENG:Primary key o2p_t_rf_object_status_pk ("code") have violated for the table o2p_t_rf_object_status.;'
,'%o2p_t_rf_object_status_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70013' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70014','E'
,'RUS:Такое значение "ID" для "Этап миграции" уже существует!;ENG:Such value "id" for "o2p_t_step" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_step_pk ("id") таблицы o2p_t_step.;ENG:Primary key o2p_t_step_pk ("id") have violated for the table o2p_t_step.;'
,'%o2p_t_step_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70014' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70015','E'
,'RUS:Такое значение "ID" для "Объект миграции" уже существует!;ENG:Such value "id" for "o2p_t_object" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_object_pk ("id") таблицы o2p_t_object.;ENG:Primary key o2p_t_object_pk ("id") have violated for the table o2p_t_object.;'
,'%o2p_t_object_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70015' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70016','E'
,'RUS:Такое значение "ID" для "Версия объекта миграции" уже существует!;ENG:Such value "id" for "o2p_t_revision" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_revision_pk ("id") таблицы o2p_t_revision.;ENG:Primary key o2p_t_revision_pk ("id") have violated for the table o2p_t_revision.;'
,'%o2p_t_revision_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70016' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70017','E'
,'RUS:Такое значение "ID участника проекта" для "Пользователь в проекте" уже существует!;ENG:Such value "id" for "o2p_t_user_in_project" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_user_in_project_pkey ("id") таблицы o2p_t_user_in_project.;ENG:Primary key o2p_t_user_in_project_pkey ("id") have violated for the table o2p_t_user_in_project.;'
,'%o2p_t_user_in_project_pkey%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70017' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70018','E'
,'RUS:Такое значение "Код состояния" для "Состояние этапа миграции" уже существует!;ENG:Such value "code" for "o2p_t_rf_step_status" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_rf_step_status_pk ("code") таблицы o2p_t_rf_step_status.;ENG:Primary key o2p_t_rf_step_status_pk ("code") have violated for the table o2p_t_rf_step_status.;'
,'%o2p_t_rf_step_status_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70018' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70019','E'
,'RUS:Такое значение "ID записи журнала изменения состояния этапа миграции" для "Журнал регистрации изменений состояния этапа миграции" уже существует!;ENG:Such value "id" for "o2p_t_step_hist" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_step_hist_pk ("id") таблицы o2p_t_step_hist.;ENG:Primary key o2p_t_step_hist_pk ("id") have violated for the table o2p_t_step_hist.;'
,'%o2p_t_step_hist_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70019' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-70020','E'
,'RUS:Такое значение "Код типа объектов миграции" для "Типы объектов миграции" уже существует!;ENG:Such value "code" for "o2p_t_rf_object_type" already exists!;'
,'RUS:Нарушена уникальность первичного ключа o2p_t_rf_object_type_pk ("code") таблицы o2p_t_rf_object_type.;ENG:Primary key o2p_t_rf_object_type_pk ("code") have violated for the table o2p_t_rf_object_type.;'
,'%o2p_t_rf_object_type_pk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-70020' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-80001','E'
,'RUS:Такая комбинация значений ("ID этапа миграции", "Порядковый номер применения скрипта в БД Postgres") для "Объект миграции" уже существует!;ENG:Such combination of values ("step4o_id", "num") for "o2p_t_object" already exists!;'
,'RUS:Нарушена уникальность ключа o2p_t_object_num_uk ("step4o_id", "num") таблицы o2p_t_object.;ENG:Unique key o2p_t_object_num_uk ("step4o_id", "num") have violated for the table o2p_t_object.;'
,'%o2p_t_object_num_uk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-80001' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-80002','E'
,'RUS:Такое значение "Порядковый номер группы" для "Группа конфигурационных параметров" уже существует!;ENG:Such value "num" for "o2p_t_rf_config_group" already exists!;'
,'RUS:Нарушена уникальность ключа o2p_t_rf_config_group_num_uk ("num") таблицы o2p_t_rf_config_group.;ENG:Unique key o2p_t_rf_config_group_num_uk ("num") have violated for the table o2p_t_rf_config_group.;'
,'%o2p_t_rf_config_group_num_uk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-80002' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-80003','E'
,'RUS:Такое значение "Порядковый номер параметра" для "Параметр конфигурации" уже существует!;ENG:Such value "num" for "o2p_t_rf_config_parameter" already exists!;'
,'RUS:Нарушена уникальность ключа o2p_t_rf_config_parameter_num_uk ("num") таблицы o2p_t_rf_config_parameter.;ENG:Unique key o2p_t_rf_config_parameter_num_uk ("num") have violated for the table o2p_t_rf_config_parameter.;'
,'%o2p_t_rf_config_parameter_num_uk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-80003' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-80004','E'
,'RUS:Такая комбинация значений ("Алиас БД", "ID участника проекта") для "База данных oracle, из которой требуется мигрировать" уже существует!;ENG:Such combination of values ("alias", "user_in_project_id") for "o2p_t_oracle_connection" already exists!;'
,'RUS:Нарушена уникальность ключа o2p_t_oracle_connection_alias_uk ("alias", "user_in_project_id") таблицы o2p_t_oracle_connection.;ENG:Unique key o2p_t_oracle_connection_alias_uk ("alias", "user_in_project_id") have violated for the table o2p_t_oracle_connection.;'
,'%o2p_t_oracle_connection_alias_uk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-80004' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90001','E'
,'RUS:Такое значение "Код проекта" в "Проект миграции" не существует!;ENG:Such value project4oschema_code in "o2p_t_project" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_oracle_schema_project_fk (project4oschema_code) для таблицы o2p_t_oracle_schema.;ENG:Foreign key o2p_t_oracle_schema_project_fk (project4oschema_code) have violated for the table o2p_t_oracle_schema.;'
,'%o2p_t_oracle_schema_project_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90001' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90002','E'
,'RUS:Такое значение "Имя пользователя" в "Пользователь" не существует!;ENG:Such value user_username in "o2p_t_user" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_user_in_project_username_fk (user_username) для таблицы o2p_t_user_in_project.;ENG:Foreign key o2p_t_user_in_project_username_fk (user_username) have violated for the table o2p_t_user_in_project.;'
,'%o2p_t_user_in_project_username_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90002' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90003','E'
,'RUS:Такое значение "Имя пользователя, ответственного за миграцию объекта" в "Пользователь" не существует!;ENG:Such value username in "o2p_t_user" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_object_usernname_fk (username) для таблицы o2p_t_object.;ENG:Foreign key o2p_t_object_usernname_fk (username) have violated for the table o2p_t_object.;'
,'%o2p_t_object_usernname_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90003' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90004','E'
,'RUS:Такое значение "Имя пользователя, ответственного за миграцию объекта" в "Пользователь" не существует!;ENG:Such value username in "o2p_t_user" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_revision_username_fk (username) для таблицы o2p_t_revision.;ENG:Foreign key o2p_t_revision_username_fk (username) have violated for the table o2p_t_revision.;'
,'%o2p_t_revision_username_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90004' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90005','E'
,'RUS:Такое значение "Тип данных в значении параметра миграции" в "Тип данных конфигурационного параметра" не существует!;ENG:Such value dt4par_name in "o2p_t_rf_datatype" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_rf_config_par_dt_fk (dt4par_name) для таблицы o2p_t_rf_config_parameter.;ENG:Foreign key o2p_t_rf_config_par_dt_fk (dt4par_name) have violated for the table o2p_t_rf_config_parameter.;'
,'%o2p_t_rf_config_par_dt_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90005' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90006','E'
,'RUS:Такое значение "Код параметра миграции" в "Параметр конфигурации" не существует!;ENG:Such value par4val_code in "o2p_t_rf_config_parameter" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_rf_allowable_parvalue_par4val_fk (par4val_code) для таблицы o2p_t_rf_allowable_parameter_value.;ENG:Foreign key o2p_t_rf_allowable_parvalue_par4val_fk (par4val_code) have violated for the table o2p_t_rf_allowable_parameter_value.;'
,'%o2p_t_rf_allowable_parvalue_par4val_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90006' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90007','E'
,'RUS:Такое значение "Код результата миграции" в "Результат миграции" не существует!;ENG:Such value mres4log_code in "o2p_t_rf_migration_result" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_migration_log_mres4log_fk (mres4log_code) для таблицы o2p_t_migration_log.;ENG:Foreign key o2p_t_migration_log_mres4log_fk (mres4log_code) have violated for the table o2p_t_migration_log.;'
,'%o2p_t_migration_log_mres4log_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90007' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90008','E'
,'RUS:Такое значение "Код параметра миграции" в "Параметр конфигурации" не существует!;ENG:Such value par4val_code in "o2p_t_rf_config_parameter" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_parameter_value_par4val_fk (par4val_code) для таблицы o2p_t_parameter_value.;ENG:Foreign key o2p_t_parameter_value_par4val_fk (par4val_code) have violated for the table o2p_t_parameter_value.;'
,'%o2p_t_parameter_value_par4val_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90008' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90009','E'
,'RUS:Такое значение "Код проекта миграции" в "Проект миграции" не существует!;ENG:Such value project4obj_code in "o2p_t_project" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_project_object_project4obj_fk (project4obj_code) для таблицы o2p_t_project_object.;ENG:Foreign key o2p_t_project_object_project4obj_fk (project4obj_code) have violated for the table o2p_t_project_object.;'
,'%o2p_t_project_object_project4obj_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90009' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90010','E'
,'RUS:Такое значение "ID объекта миграции" в "Объект миграции" не существует!;ENG:Such value mo4parval_id in "o2p_t_object" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_parameter_value_mo4parval_fk (mo4parval_id) для таблицы o2p_t_parameter_value.;ENG:Foreign key o2p_t_parameter_value_mo4parval_fk (mo4parval_id) have violated for the table o2p_t_parameter_value.;'
,'%o2p_t_parameter_value_mo4parval_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90010' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90011','E'
,'RUS:Такое значение "Код группы параметров миграции" в "Группа конфигурационных параметров" не существует!;ENG:Such value group4par_code in "o2p_t_rf_config_group" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_rf_config_par_grp_fk (group4par_code) для таблицы o2p_t_rf_config_parameter.;ENG:Foreign key o2p_t_rf_config_par_grp_fk (group4par_code) have violated for the table o2p_t_rf_config_parameter.;'
,'%o2p_t_rf_config_par_grp_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90011' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90012','E'
,'RUS:Такое значение "Код проекта, в котором участвует пользователь" в "Проект миграции" не существует!;ENG:Such value project4usr_code in "o2p_t_project" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_user_in_project_project4usr_fk (project4usr_code) для таблицы o2p_t_user_in_project.;ENG:Foreign key o2p_t_user_in_project_project4usr_fk (project4usr_code) have violated for the table o2p_t_user_in_project.;'
,'%o2p_t_user_in_project_project4usr_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90012' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90013','E'
,'RUS:Такое значение "ID объекта миграции" в "Объект миграции" не существует!;ENG:Such value mo4log_id in "o2p_t_object" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_migration_log_fk1 (mo4log_id) для таблицы o2p_t_migration_log.;ENG:Foreign key o2p_t_migration_log_fk1 (mo4log_id) have violated for the table o2p_t_migration_log.;'
,'%o2p_t_migration_log_fk1%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90013' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90014','E'
,'RUS:Такое значение "Код проекта миграции" в "Проект миграции" не существует!;ENG:Such value project4step_code in "o2p_t_project" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_step_project4step_fk (project4step_code) для таблицы o2p_t_step.;ENG:Foreign key o2p_t_step_project4step_fk (project4step_code) have violated for the table o2p_t_step.;'
,'%o2p_t_step_project4step_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90014' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90015','E'
,'RUS:Такое значение "Код состояния этапа миграции" в "Состояние этапа миграции" не существует!;ENG:Such value status4step_code in "o2p_t_rf_step_status" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_step_status_fk (status4step_code) для таблицы o2p_t_step.;ENG:Foreign key o2p_t_step_status_fk (status4step_code) have violated for the table o2p_t_step.;'
,'%o2p_t_step_status_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90015' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90016','E'
,'RUS:Такое значение "Установленное состояние" в "Состояние этапа миграции" не существует!;ENG:Such value new_status4hist_code in "o2p_t_rf_step_status" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_step_hist_new_status4hist_code_fk (new_status4hist_code) для таблицы o2p_t_step_hist.;ENG:Foreign key o2p_t_step_hist_new_status4hist_code_fk (new_status4hist_code) have violated for the table o2p_t_step_hist.;'
,'%o2p_t_step_hist_new_status4hist_code_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90016' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90017','E'
,'RUS:Такое значение "Прежнее состояние" в "Состояние этапа миграции" не существует!;ENG:Such value old_status4hist_code in "o2p_t_rf_step_status" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_step_hist_old_status4hist_fk (old_status4hist_code) для таблицы o2p_t_step_hist.;ENG:Foreign key o2p_t_step_hist_old_status4hist_fk (old_status4hist_code) have violated for the table o2p_t_step_hist.;'
,'%o2p_t_step_hist_old_status4hist_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90017' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90018','E'
,'RUS:Такое значение "ID этапа миграции" в "Этап миграции" не существует!;ENG:Such value step4hist_id in "o2p_t_step" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_step_hist_fk (step4hist_id) для таблицы o2p_t_step_hist.;ENG:Foreign key o2p_t_step_hist_fk (step4hist_id) have violated for the table o2p_t_step_hist.;'
,'%o2p_t_step_hist_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90018' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90019','E'
,'RUS:Такое значение "Код типа объектов миграции" в "Типы объектов миграции" не существует!;ENG:Such value motype_code in "o2p_t_rf_object_type" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_project_object_motype_fk (motype_code) для таблицы o2p_t_project_object.;ENG:Foreign key o2p_t_project_object_motype_fk (motype_code) have violated for the table o2p_t_project_object.;'
,'%o2p_t_project_object_motype_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90019' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90020','E'
,'RUS:Такое значение "ID участника проекта" в "Пользователь в проекте" не существует!;ENG:Such value user_in_project_id in "o2p_t_user_in_project" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_oracle_connection_uinp_fk (user_in_project_id) для таблицы o2p_t_oracle_connection.;ENG:Foreign key o2p_t_oracle_connection_uinp_fk (user_in_project_id) have violated for the table o2p_t_oracle_connection.;'
,'%o2p_t_oracle_connection_uinp_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90020' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90021','E'
,'RUS:Такое значение "Имя пользователя-участника проекта миграции, изменившего состояние этапа миграции" в "Пользователь" не существует!;ENG:Such value user4hist_username in "o2p_t_user" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_step_hist_user4hist_fk (user4hist_username) для таблицы o2p_t_step_hist.;ENG:Foreign key o2p_t_step_hist_user4hist_fk (user4hist_username) have violated for the table o2p_t_step_hist.;'
,'%o2p_t_step_hist_user4hist_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90021' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90022','E'
,'RUS:Такое значение "ID этапа миграции" в "Этап миграции" не существует!;ENG:Such value step4o_id in "o2p_t_step" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_object_step4o_fk (step4o_id) для таблицы o2p_t_object.;ENG:Foreign key o2p_t_object_step4o_fk (step4o_id) have violated for the table o2p_t_object.;'
,'%o2p_t_object_step4o_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90022' and app_code='LUI4ORA2PG');
insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-90023','E'
,'RUS:Такое значение "ID объекта миграции, для которого создана версия" в "Объект миграции" не существует!;ENG:Such value o4rev_id in "o2p_t_object" does not exist!;'
,'RUS:Нарушен внешний ключ o2p_t_revision_o4rev_fk (o4rev_id) для таблицы o2p_t_revision.;ENG:Foreign key o2p_t_revision_o4rev_fk (o4rev_id) have violated for the table o2p_t_revision.;'
,'%o2p_t_revision_o4rev_fk%'
,''
where 1>(select count(*) from lui_t_message where code='O2P-90023' and app_code='LUI4ORA2PG');


insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-00007','I'
,'RUS:Права пользователя <p1> успешно обновлены!;ENG:Rights successfully refreshed!;'
,'RUS:Действие выполнено успешно.;ENG:Action successful.;'
,''
,''
where 1>(select count(*) from lui_t_message where code='O2P-00007' and app_code='LUI4ORA2PG');


insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-00008','I'
,'RUS:Пользователь <p1> успешно воссоздан!;ENG:User <p1>  successfully re-created!;'
,'RUS:Действие выполнено успешно.;ENG:Action successful.;'
,''
,''
where 1>(select count(*) from lui_t_message where code='O2P-00008' and app_code='LUI4ORA2PG');


insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-00009','I'
,'RUS:Процесс автоматической миграции успешно запущен!;'
,'RUS:Контролирйте ход выполнения процесса, выполняя действие "Мониторинг автомиграции";ENG:Мonitor the progress by "Automigration monitoring" action;'
,''
,''
where 1>(select count(*) from lui_t_message where code='O2P-00009' and app_code='LUI4ORA2PG');


insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-00010','E'
,'RUS:Типы объектов для выполнения автоматической миграции не подтверждены!;ENG:No types for auto-migration selected!;'
,'RUS:Выберите и подтвердите типы объектов для выполнения автоматической миграции.;ENG:Select and confirm types of objects for auto-migration.;'
,''
,''
where 1>(select count(*) from lui_t_message where code='O2P-00010' and app_code='LUI4ORA2PG');


insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-00015','E'
,'RUS:Конвертация завершена неуспешно!;ENG:Convert Fatal Etrror!;'
,'RUS:Смотрите текст ошибки в журнале сессий автомиграции.;ENG:Error Text is in Auto Migration Session Log.;'
,''
,''
where 1>(select count(*) from lui_t_message where code='O2P-00015' and app_code='LUI4ORA2PG');


insert into lui_t_message(app_code,code,severety,message_text,help_text,interceptor4sql_error,notes)
select 'LUI4ORA2PG','O2P-00018','E'
,'RUS:Невозможно установить состояние READY для объекта <p1>, т.к. имеются подчиннные объекты в состоянии <p2>!;ENG:Cann''t set READY status for Project Object <p1> because exists child objects in <p2> status.;'
,'RUS:ID объекта проекта <p3>.
Дождитесь, когда все подчинённые объекты будут иметь состояние READY и повторите действие.;ENG:Project Object ID = <p3>.
Wait for READY status for all child project object and repeat the action.;'
,''
,''
where 1>(select count(*) from lui_t_message where code='O2P-00018' and app_code='LUI4ORA2PG');

commit;
