set search_path=lui,public;

begin;

insert into lui_t_object_type_right(app_code,code,name,select4lov,notes)
VALUES('LUI4ORA2PG','USER','RUS: ;ENG:Application user;',
'select user_name "{NLS:RUS: ;ENG:Username;}",'||chr(10)||
'       notes "{NLS:RUS:;ENG:Notes;}" '||chr(10)||
'from lui_t_user where app_code=''{Property:AppCode}'' order by 1','RUS:;');

insert into lui_t_object_type_right(app_code,code,name,select4lov,notes)
VALUES('LUI4ORA2PG','FILES','RUS:  ;ENG:Type of attached files;',
'select code "{NLS:RUS:;ENG:Code;}", '||chr(10)||
'nls(name)  "{NLS:RUS:;ENG:Name;}" '||chr(10)||
'from lui_t_filetype where app_code=''{Property:AppCode}'' '||chr(10)||
'order by 1','RUS:;');

insert into lui_t_object_type_right(app_code,code,name,select4lov,notes)
VALUES('LUI4ORA2PG','USERGROUP','RUS: ;ENG:User group;',
'select code,nls(name) from lui_t_usergroup where app_code=''{Property:AppCode}''  order by 1','RUS:;');

insert into lui_t_object_type_right(app_code,code,name,select4lov,notes)
VALUES('LUI4ORA2PG','UI_ELEMENT','RUS: ;ENG:Form element;',
'select e.form_code||''.''||e.code "{NLS:RUS: . ;ENG:Form code.Element code;}" ,''[ico:''||coalesce((select min(value) from lui_t_value val where val.property_code=''ICON''  and val.config_code=''DEFAULT'' and val.app_code=e.app_code and val.form_code=e.form_code and val.element_code=e.code),'''')'||chr(10)||
'||'']''||nls(e.name) "{NLS:RUS: ;ENG:Element name;}", etype  "{NLS:RUS: ;ENG:Element type;}" ,'||chr(10)||
'f.formtype_code "{NLS:RUS: ;ENG:Form type;}",'||chr(10)||
'case e.app_code when ''{Property:AppCode}'' then ''1'' else ''2'' end codesort'||chr(10)||
'from lui_t_element e,lui_t_form f where f.code not like ''%__TEMPLATE'' and (e.app_code =''{Property:AppCode}'' OR'||chr(10)||
'e.form_code IN (select  va.value from lui_t_value va, lui_t_value vat ,lui_t_element el, lui_t_form frm '||chr(10)||
'where va.app_code=''{Property:AppCode}''  and va.form_code=frm.code'||chr(10)||
'and frm.app_code=va.app_code and frm.version_number is null'||chr(10)||
'and va.app_code=vat.app_code and va.element_code=vat.element_code'||chr(10)||
'and va.config_code=vat.config_code and va.form_code=vat.form_code'||chr(10)||
'and vat.property_code=''COMMAND_TYPE'' and vat.value in (''MENU'',''LIST'',''BLANK'',''TREE'')'||chr(10)||
'and el.app_code=va.app_code and el.etype=''ACTION'''||chr(10)|| 
'and el.form_code=frm.code'||chr(10)||
'and el.code=va.element_code '||chr(10)||
'and frm.formtype_code=''MENU'''||chr(10)||
'and va.property_code=''COMMAND'''||chr(10)||
'))'||chr(10)||
'and e.etype!=''PARAM'''||chr(10)||
'and f.code=e.form_code'||chr(10)|| 
'and f.app_code=e.app_code'||chr(10)|| 
'and f.version_number is null'||chr(10)|| 
'order by 5,4 desc,1','RUS:;');

insert into lui_t_action_type_right(app_code,code,name,notes) values ('LUI4ORA2PG','RUN','RUS:;ENG:Execution;','RUS:    ;ENG:The right to perform some action;');
insert into lui_t_action_type_right(app_code,code,name,notes) values ('LUI4ORA2PG','UPD','RUS:;ENG:Modification;','RUS:       ;ENG:The right to modify data or properties of existing objects;');
insert into lui_t_action_type_right(app_code,code,name,notes) values ('LUI4ORA2PG','READ','RUS:;ENG:View;','RUS:      ;ENG:Right to view data or object properties;');
insert into lui_t_action_type_right(app_code,code,name,notes) values ('LUI4ORA2PG','LIST','RUS: ;ENG:View list;','RUS:    ;ENG:The right to view the list of objects;');
insert into lui_t_action_type_right(app_code,code,name,notes) values ('LUI4ORA2PG','DEL','RUS:;ENG:Deleting;','RUS:   ;ENG:The right to delete data;');
insert into lui_t_action_type_right(app_code,code,name,notes) values ('LUI4ORA2PG','ADD','RUS:;ENG:Adding;','RUS:       ;ENG:The right to add new data or new objects;');
insert into lui_t_action_type_right(app_code,code,name,notes) values ('LUI4ORA2PG','ADM','RUS:;ENG:Administration;','RUS: /   ;ENG:The right to grant/revoke rights on the object;');
insert into lui_t_object_type_right(app_code, code, name, notes, select4lov) values ('LUI4ORA2PG','TASK','RUS: ;ENG:Application user;','RUS:;ENG:;','select code "{NLS:RUS:;ENG:Code;}", nls(name) "{NLS:RUS:;ENG:Name;}" from lui_v_task where app_code=''{Property:AppCode}'' order by 1');

insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','ADD','FILES','N');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','ADM','FILES','N');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','DEL','FILES','N');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','LIST','FILES','N');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','READ','FILES','N');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','UPD','FILES','N');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','READ','UI_ELEMENT','Y');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','RUN','UI_ELEMENT','Y');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','UPD','UI_ELEMENT','Y');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','ADD','USER','N');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','ADM','USER','N');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','DEL','USER','N');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','UPD','USER','N');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','ADD','USERGROUP','N');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','ADM','USERGROUP','N');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','DEL','USERGROUP','N');
insert into lui_t_action_type4object_type(app_code,action_type,object_type,def_status) values ('LUI4ORA2PG','UPD','USERGROUP','N');

insert into lui_t_action_type4object_type(app_code, action_type, object_type, def_status)  VALUES('LUI4ORA2PG','UPD','TASK','N');
insert into lui_t_action_type4object_type(app_code, action_type, object_type, def_status)  VALUES('LUI4ORA2PG','ADD','TASK','N');
insert into lui_t_action_type4object_type(app_code, action_type, object_type, def_status)  VALUES('LUI4ORA2PG','RUN','TASK','N');
insert into lui_t_action_type4object_type(app_code, action_type, object_type, def_status)  VALUES('LUI4ORA2PG','DEL','TASK','N');


commit;
