#!/bin/sh
# : ./setup postgresql://postgres:postgres@localhost:5432/postgres

psql $1 -o ./register_application.log -f ./register_application.sql 2>./register_application.err
psql $1 -o ./register_messages.log -f ./register_messages.sql 2>./register_messages.err
psql $1 -o ./register_owner.log -f ./register_owner.sql 2>./register_owner.err
psql $1 -o ./register_db_connect.log -f ./register_db_connect.sql 2>./register_db_connect.err
psql $1 -o ./register_rights.log -f ./register_rights.sql 2>./register_rights.err
psql $1 -o ./register_groups.log -f ./register_groups.sql 2>./register_groups.err
psql $1 -o ./register_admgroup_rights.log -f ./register_admgroup_rights.sql 2>./register_admgroup_rights.err
psql $1 -o ./register_commongroup_rights.log -f ./register_commongroup_rights.sql 2>./register_commongroup_rights.err
psql $1 -o ./register_membergroup_rights.log -f ./register_membergroup_rights.sql 2>./register_membergroup_rights.err
psql $1 -o ./register_leadergroup_rights.log -f ./register_leadergroup_rights.sql 2>./register_leadergroup_rights.err
psql $1 -o ./register_adm_user.log -f ./register_adm_user.sql 2>./register_adm_user.err

psql $1 -o ./FORMS/META_BLANK.log -f ./FORMS/META_BLANK.sql 2>./FORMS/META_BLANK.err
psql $1 -o ./FORMS/META_HOST.log -f ./FORMS/META_TASK.sql 2>./FORMS/META_TASK.err
psql $1 -o ./FORMS/META_HOST.log -f ./FORMS/META_HOST.sql 2>./FORMS/META_HOST.err
psql $1 -o ./FORMS/META_MENU.log -f ./FORMS/META_MENU.sql 2>./FORMS/META_MENU.err
psql $1 -o ./FORMS/META_LIST.log -f ./FORMS/META_LIST.sql 2>./FORMS/META_LIST.err

psql $1 -o ./register_tasks.log -f ./register_tasks.sql 2>./register_tasks.err


