/*==============================================================*/
/* Table: O2P_T_FILE                                            */
/*==============================================================*/
CREATE TABLE ORA2PG_PROJECT.O2P_T_FILE (
   ID                   ORA2PG_PROJECT.O2P_D_ID             NOT NULL,
   FILENAME             ORA2PG_PROJECT.O2P_D_NAME           NOT NULL,
   PATH                 ORA2PG_PROJECT.O2P_D_TEXT           NOT NULL,
   FILEDATA             ORA2PG_PROJECT.O2P_D_TEXT           NULL,
   NOTES                ORA2PG_PROJECT.O2P_D_NOTES          NULL,
   ACSESSIONOT4FILE_ID  ORA2PG_PROJECT.O2P_D_ID             NULL,
   NUM                  ORA2PG_PROJECT.O2P_D_NUMBER         NOT NULL DEFAULT 1,
   ACSO4FILE_ID         ORA2PG_PROJECT.O2P_D_ID             NULL
)
TABLESPACE ORA2PG_PROJECT;

COMMENT ON TABLE ORA2PG_PROJECT.O2P_T_FILE IS ',     ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_FILE.ID IS 'ID ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_FILE.FILENAME IS ' ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_FILE.PATH IS '  ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_FILE.FILEDATA IS ' ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_FILE.NOTES IS '  ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_FILE.ACSESSIONOT4FILE_ID IS 'ID  ,   ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_FILE.NUM IS '  ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_FILE.ACSO4FILE_ID IS 'ID  ,   ';

ALTER TABLE ORA2PG_PROJECT.O2P_T_FILE
   ADD CONSTRAINT O2P_T_FILE_PK PRIMARY KEY (ID)
   USING INDEX TABLESPACE ORA2PG_PROJECT;

/*==============================================================*/
/* Index: O2P_T_ACSESSIONOT4FILE_FK                             */
/*==============================================================*/
CREATE  INDEX O2P_T_ACSESSIONOT4FILE_FK ON ORA2PG_PROJECT.O2P_T_FILE (
ACSESSIONOT4FILE_ID
) TABLESPACE ORA2PG_PROJECT;

/*==============================================================*/
/* Index: O2P_T_ACSO4FILE_ID                                    */
/*==============================================================*/
CREATE  INDEX O2P_T_ACSO4FILE_ID ON ORA2PG_PROJECT.O2P_T_FILE (
ACSO4FILE_ID
) TABLESPACE ORA2PG_PROJECT;

