/*==============================================================*/
/* Table: O2P_T_OBJECT4PROJECTOBJECT                            */
/*==============================================================*/
CREATE TABLE ORA2PG_PROJECT.O2P_T_OBJECT4PROJECTOBJECT (
   ID                   ORA2PG_PROJECT.O2P_D_ID             NOT NULL,
   PO4OPO_ID            ORA2PG_PROJECT.O2P_D_ID             NOT NULL,
   O4OPO_ID             ORA2PG_PROJECT.O2P_D_ID             NOT NULL
)
TABLESPACE ORA2PG_PROJECT;

COMMENT ON TABLE ORA2PG_PROJECT.O2P_T_OBJECT4PROJECTOBJECT IS '  Postgres,         Oracle';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_OBJECT4PROJECTOBJECT.ID IS 'ID ,    ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_OBJECT4PROJECTOBJECT.PO4OPO_ID IS 'ID  ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_OBJECT4PROJECTOBJECT.O4OPO_ID IS 'ID ';

ALTER TABLE ORA2PG_PROJECT.O2P_T_OBJECT4PROJECTOBJECT
   ADD CONSTRAINT O2P_T_OBJECT4PROJECTOBJECT_PK PRIMARY KEY (ID)
   USING INDEX TABLESPACE ORA2PG_PROJECT;

/*==============================================================*/
/* Index: O2P_T_OBJECT4PROJECTOBJECT_O4OP                       */
/*==============================================================*/
CREATE  INDEX O2P_T_OBJECT4PROJECTOBJECT_O4OP ON ORA2PG_PROJECT.O2P_T_OBJECT4PROJECTOBJECT (
O4OPO_ID
) TABLESPACE ORA2PG_PROJECT;

/*==============================================================*/
/* Index: O2P_T_OBJECT4PROJECTOBJECT_PO4O                       */
/*==============================================================*/
CREATE  INDEX O2P_T_OBJECT4PROJECTOBJECT_PO4O ON ORA2PG_PROJECT.O2P_T_OBJECT4PROJECTOBJECT (
PO4OPO_ID
) TABLESPACE ORA2PG_PROJECT;

ALTER TABLE ORA2PG_PROJECT.O2P_T_OBJECT4PROJECTOBJECT
   ADD CONSTRAINT O2P_T_O4OPO_FK FOREIGN KEY (O4OPO_ID)
      REFERENCES ORA2PG_PROJECT.O2P_T_OBJECT (ID)
      ON DELETE CASCADE ON UPDATE RESTRICT;

ALTER TABLE ORA2PG_PROJECT.O2P_T_OBJECT4PROJECTOBJECT
   ADD CONSTRAINT O2P_T_PO4OPO_FK FOREIGN KEY (PO4OPO_ID)
      REFERENCES ORA2PG_PROJECT.O2P_T_PROJECT_OBJECT (ID)
      ON DELETE CASCADE ON UPDATE RESTRICT;
