/*==============================================================*/
/* Table: O2P_T_ORACLE_SCHEMA                                   */
/*==============================================================*/
CREATE TABLE ORA2PG_PROJECT.O2P_T_ORACLE_SCHEMA (
   NAME                 ORA2PG_PROJECT.O2P_D_NAME           NOT NULL,
   PROJECT4OSCHEMA_CODE ORA2PG_PROJECT.O2P_D_CODE32         NOT NULL
)
TABLESPACE ORA2PG_PROJECT;

COMMENT ON TABLE ORA2PG_PROJECT.O2P_T_ORACLE_SCHEMA IS ' Oracle';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_ORACLE_SCHEMA.NAME IS ' ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_ORACLE_SCHEMA.PROJECT4OSCHEMA_CODE IS ' ';

ALTER TABLE ORA2PG_PROJECT.O2P_T_ORACLE_SCHEMA
   ADD CONSTRAINT O2P_T_ORACLE_SCHEMA_PK PRIMARY KEY (NAME, PROJECT4OSCHEMA_CODE)
   USING INDEX TABLESPACE ORA2PG_PROJECT;

/*==============================================================*/
/* Index: O2P_T_ORACLE_SCHEMA_PROJECT_FK                        */
/*==============================================================*/
CREATE  INDEX O2P_T_ORACLE_SCHEMA_PROJECT_FK ON ORA2PG_PROJECT.O2P_T_ORACLE_SCHEMA (
PROJECT4OSCHEMA_CODE
) TABLESPACE ORA2PG_PROJECT;

ALTER TABLE ORA2PG_PROJECT.O2P_T_ORACLE_SCHEMA
   ADD CONSTRAINT O2P_T_ORACLE_SCHEMA_PROJECT_FK FOREIGN KEY (PROJECT4OSCHEMA_CODE)
      REFERENCES ORA2PG_PROJECT.O2P_T_PROJECT (CODE)
      ON DELETE RESTRICT ON UPDATE CASCADE;
