/*==============================================================*/
/* Table: O2P_T_POSTGRES_CONNECTION                             */
/*==============================================================*/
CREATE TABLE ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION (
   ID                   ORA2PG_PROJECT.O2P_D_ID             NOT NULL,
   ALIAS                ORA2PG_PROJECT.O2P_D_NAME           NOT NULL,
   HOST                 ORA2PG_PROJECT.O2P_D_NAME           NOT NULL,
   PORT                 ORA2PG_PROJECT.O2P_D_PORT           NOT NULL,
   DBNAME               ORA2PG_PROJECT.O2P_D_NAME           NOT NULL,
   DEF                  ORA2PG_PROJECT.O2P_D_NY             NOT NULL,
   LOGIN                ORA2PG_PROJECT.O2P_D_USERNAME       NOT NULL,
   PASSWORD             ORA2PG_PROJECT.O2P_D_PASSWORD       NOT NULL,
   USER_IN_PROJECT_ID   ORA2PG_PROJECT.O2P_D_ID             NULL
)
TABLESPACE ORA2PG_PROJECT;

COMMENT ON TABLE ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION IS '  Postgres,    ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION.ID IS 'ID,  ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION.ALIAS IS ' ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION.HOST IS '  IP- ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION.PORT IS '';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION.DBNAME IS '  ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION.DEF IS '  ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION.LOGIN IS ' ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION.PASSWORD IS ' ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION.USER_IN_PROJECT_ID IS 'user_in_project_id';

ALTER TABLE ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION
   ADD CONSTRAINT O2P_T_POSTGRES_CONNECTION_PK PRIMARY KEY (ID)
   USING INDEX TABLESPACE ORA2PG_PROJECT;

/*==============================================================*/
/* Index: O2P_T_POSTGRES_CONNECTION_UINP_fk                       */
/*==============================================================*/
CREATE  INDEX O2P_T_POSTGRES_CONNECTION_UINP_fk ON ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION (
USER_IN_PROJECT_ID
) TABLESPACE ORA2PG_PROJECT;

ALTER TABLE ORA2PG_PROJECT.O2P_T_POSTGRES_CONNECTION
   ADD CONSTRAINT O2P_T_POSTGRES_CONNECTION_UINP_FK FOREIGN KEY (USER_IN_PROJECT_ID)
      REFERENCES ORA2PG_PROJECT.O2P_T_USER_IN_PROJECT (ID)
      ON DELETE CASCADE ON UPDATE RESTRICT;
