﻿-- object: ora2pg_project.o2p_t_rf_datatype | type: TABLE --
-- DROP TABLE IF EXISTS ora2pg_project.o2p_t_rf_datatype;
CREATE TABLE ora2pg_project.o2p_t_rf_datatype(

)
TABLESPACE ora2pg_project;
-- ddl-end --

-- object: name | type: COLUMN --
-- ALTER TABLE ora2pg_project.o2p_t_rf_datatype DROP COLUMN IF EXISTS name CASCADE;
ALTER TABLE ora2pg_project.o2p_t_rf_datatype ADD COLUMN name ora2pg_project.o2p_d_name NOT NULL;
-- ddl-end --


-- object: description | type: COLUMN --
-- ALTER TABLE ora2pg_project.o2p_t_rf_datatype DROP COLUMN IF EXISTS description CASCADE;
ALTER TABLE ora2pg_project.o2p_t_rf_datatype ADD COLUMN description ora2pg_project.o2p_d_description NOT NULL;
-- ddl-end --


-- object: notes | type: COLUMN --
-- ALTER TABLE ora2pg_project.o2p_t_rf_datatype DROP COLUMN IF EXISTS notes CASCADE;
ALTER TABLE ora2pg_project.o2p_t_rf_datatype ADD COLUMN notes ora2pg_project.o2p_d_notes;
-- ddl-end --

-- object: o2p_t_rf_datatype_pk | type: CONSTRAINT --
-- ALTER TABLE ora2pg_project.o2p_t_rf_datatype DROP CONSTRAINT IF EXISTS o2p_t_rf_datatype_pk;
ALTER TABLE ora2pg_project.o2p_t_rf_datatype ADD CONSTRAINT o2p_t_rf_datatype_pk PRIMARY KEY (name)
USING INDEX TABLESPACE ora2pg_project;
-- ddl-end --

COMMENT ON TABLE ora2pg_project.o2p_t_rf_datatype IS 'Тип данных конфигурационного параметра';
-- ddl-end --
COMMENT ON COLUMN ora2pg_project.o2p_t_rf_datatype.name IS 'Наименование типа данных';
-- ddl-end --
COMMENT ON COLUMN ora2pg_project.o2p_t_rf_datatype.description IS 'Описание типа данных';
-- ddl-end --
COMMENT ON COLUMN ora2pg_project.o2p_t_rf_datatype.notes IS 'Примечания к типу данных';
-- ddl-end --
ALTER TABLE ora2pg_project.o2p_t_rf_datatype OWNER TO ora2pg_project;
-- ddl-end --


