﻿/*==============================================================*/
/* Table: O2P_T_RF_OBJECT_STATUS                                */
/*==============================================================*/
CREATE TABLE ORA2PG_PROJECT.O2P_T_RF_OBJECT_STATUS (
   CODE                 ORA2PG_PROJECT.O2P_D_CODE32         NOT NULL,
   NAME                 ORA2PG_PROJECT.O2P_D_NAME           NOT NULL,
   NOTES                ORA2PG_PROJECT.O2P_D_NOTES          NULL
)
WITHOUT OIDS
TABLESPACE ORA2PG_PROJECT;

COMMENT ON TABLE ORA2PG_PROJECT.O2P_T_RF_OBJECT_STATUS IS 'Состояние объекта Postgres';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_OBJECT_STATUS.CODE IS 'Код состояния объекта Postgres';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_OBJECT_STATUS.NAME IS 'Наименование состояния объекта Postgres';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_OBJECT_STATUS.NOTES IS 'Примечания к состоянию объектов Postgres';

ALTER TABLE ORA2PG_PROJECT.O2P_T_RF_OBJECT_STATUS
   ADD CONSTRAINT O2P_T_RF_OBJECT_STATUS_PK PRIMARY KEY (CODE)
   USING INDEX TABLESPACE ORA2PG_PROJECT;
