﻿-- object: ora2pg_project.o2p_t_rf_step_status | type: TABLE --
-- DROP TABLE IF EXISTS ora2pg_project.o2p_t_rf_step_status;
CREATE TABLE ora2pg_project.o2p_t_rf_step_status(

)
TABLESPACE ora2pg_project;
-- ddl-end --

-- object: code | type: COLUMN --
-- ALTER TABLE ora2pg_project.o2p_t_rf_step_status DROP COLUMN IF EXISTS code CASCADE;
ALTER TABLE ora2pg_project.o2p_t_rf_step_status ADD COLUMN code ora2pg_project.o2p_d_code32 NOT NULL;
-- ddl-end --


-- object: name | type: COLUMN --
-- ALTER TABLE ora2pg_project.o2p_t_rf_step_status DROP COLUMN IF EXISTS name CASCADE;
ALTER TABLE ora2pg_project.o2p_t_rf_step_status ADD COLUMN name ora2pg_project.o2p_d_name NOT NULL;
-- ddl-end --


-- object: notes | type: COLUMN --
-- ALTER TABLE ora2pg_project.o2p_t_rf_step_status DROP COLUMN IF EXISTS notes CASCADE;
ALTER TABLE ora2pg_project.o2p_t_rf_step_status ADD COLUMN notes ora2pg_project.o2p_d_notes;
-- ddl-end --

-- object: o2p_t_rf_step_status_pk | type: CONSTRAINT --
-- ALTER TABLE ora2pg_project.o2p_t_rf_step_status DROP CONSTRAINT IF EXISTS o2p_t_rf_step_status_pk;
ALTER TABLE ora2pg_project.o2p_t_rf_step_status ADD CONSTRAINT o2p_t_rf_step_status_pk PRIMARY KEY (code)
USING INDEX TABLESPACE ora2pg_project;
-- ddl-end --

COMMENT ON TABLE ora2pg_project.o2p_t_rf_step_status IS 'Состояние этапа миграции';
-- ddl-end --
COMMENT ON COLUMN ora2pg_project.o2p_t_rf_step_status.code IS 'Код состояния';
-- ddl-end --
COMMENT ON COLUMN ora2pg_project.o2p_t_rf_step_status.name IS 'Наименование состояния этапа миграции';
-- ddl-end --
COMMENT ON COLUMN ora2pg_project.o2p_t_rf_step_status.notes IS 'Примечания к состоянию этапа миграции';
-- ddl-end --
ALTER TABLE ora2pg_project.o2p_t_rf_step_status OWNER TO ora2pg_project;
-- ddl-end --


