CREATE OR REPLACE FUNCTION ora2pg_project.o2p_f_hasusermembership (
  p_username ora2pg_project.o2p_d_username = o2p_f_me()
)
RETURNS ora2pg_project.o2p_d_ny AS
$body$
DECLARE
  un text := coalesce(p_username,o2p_f_me());
  vRetVal text := 'N';
BEGIN
  if o2p_f_owner()=un then vRetVal='N';
  else
	  select coalesce(min('Y'),'N') into vRetVal from o2p_t_user where username=un;
  end if;
  return vRetVal;
END;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
PARALLEL UNSAFE
COST 100;

ALTER FUNCTION ora2pg_project.o2p_f_hasusermembership (p_username ora2pg_project.o2p_d_username)
  OWNER TO ora2pg_project;