CREATE OR REPLACE FUNCTION ora2pg_project.o2p_f_isitme (
  p_username ora2pg_project.o2p_d_text
)
RETURNS ora2pg_project.o2p_d_ny AS
$body$
DECLARE
  vRetVal o2p_d_text := 'N';
  vMe o2p_d_text;
BEGIN
select o2p_f_me() into vMe;
if vMe=lower(p_username) then return 'Y'; else return 'N'; end if;
END;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
PARALLEL UNSAFE
COST 100;

ALTER FUNCTION ora2pg_project.o2p_f_isitme (p_username ora2pg_project.o2p_d_text)
  OWNER TO ora2pg_project;