CREATE OR REPLACE FUNCTION ora2pg_project.o2p_f_ismeowner (
)
RETURNS ora2pg_project.o2p_d_ny AS
$body$
DECLARE
  vMe o2p_d_text;
  vOwner o2p_d_text;
BEGIN
  select o2p_f_me() into vMe;
  select o2p_f_owner() into vOwner;
  if vMe=vOwner then
   return 'Y';
  else
   return 'N';
  end if;
END;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
PARALLEL UNSAFE
COST 100;

ALTER FUNCTION ora2pg_project.o2p_f_ismeowner ()
  OWNER TO ora2pg_project;