CREATE OR REPLACE FUNCTION ora2pg_project.o2p_f_isuserlui (
  p_username ora2pg_project.o2p_d_username
)
RETURNS ora2pg_project.o2p_d_ny AS
$body$
BEGIN
  if lower(p_username) like 'lui%' then return 'Y'; else return 'N'; end if;
END;
$body$
LANGUAGE 'plpgsql'
VOLATILE
RETURNS NULL ON NULL INPUT
SECURITY INVOKER
PARALLEL UNSAFE
COST 100;

ALTER FUNCTION ora2pg_project.o2p_f_isuserlui (p_username ora2pg_project.o2p_d_username)
  OWNER TO ora2pg_project;