CREATE OR REPLACE FUNCTION ora2pg_project.o2p_r_task_registration (
  p_acsession_id numeric,
  p_need_restrictions varchar = 'Y'::character varying
)
RETURNS void AS
$body$
BEGIN
 insert into o2p_t_acsession_task(acsession4task_id,code) values (p_acsession_id,
 'O2P_T_AUTO_CONVERT');
 insert into o2p_t_acsession_task(acsession4task_id,code) values (p_acsession_id,
 'O2P_T_GET_ORACLE_DDL');
 if p_need_restrictions='Y' then
  insert into o2p_t_acsession_task(acsession4task_id,code) values (p_acsession_id,
  'O2P_T_CHECK_MRESTRICTION');
 end if;
 insert into o2p_t_acsession_task(acsession4task_id,code) values (p_acsession_id,
 'O2P_T_MAKE_DBMS_UTL_PTRN');
 insert into o2p_t_acsession_task(acsession4task_id,code) values (p_acsession_id,
 'O2P_T_LOADFILE');
 insert into o2p_t_acsession_task(acsession4task_id,code) values (p_acsession_id,
 'O2P_T_LOADFILES_FNC');
 insert into o2p_t_acsession_task(acsession4task_id,code) values (p_acsession_id,
 'O2P_T_LOADFILES_PKG');
 insert into o2p_t_acsession_task(acsession4task_id,code) values (p_acsession_id,
 'O2P_T_LOADFILES_TRG');
END;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
PARALLEL UNSAFE
COST 100;

ALTER FUNCTION ora2pg_project.o2p_r_task_registration (p_acsession_id numeric, p_need_restrictions varchar)
  OWNER TO ora2pg_project;