#!/bin/sh
# : ./setup postgresql://ora2pg_project:ora2pg_project@localhost:5432/postgres

#
psql $1 -o ./sequence_o2p_q_step_script.log -f ./sequence_o2p_q_step_script.sql 2>./sequence_o2p_q_step_script.err
psql $1 -o ./sequence_o2p_q_object.log -f ./sequence_o2p_q_object.sql 2>./sequence_o2p_q_object.err
psql $1 -o ./sequence_o2p_q_oracle_connection.log -f ./sequence_o2p_q_oracle_connection.sql 2>./sequence_o2p_q_oracle_connection.err
psql $1 -o ./sequence_o2p_q_parameter_value.log -f ./sequence_o2p_q_parameter_value.sql 2>./sequence_o2p_q_parameter_value.err
psql $1 -o ./sequence_o2p_q_project_object.log -f ./sequence_o2p_q_project_object.sql 2>./sequence_o2p_q_project_object.err
psql $1 -o ./sequence_o2p_q_revision.log -f ./sequence_o2p_q_revision.sql 2>./sequence_o2p_q_revision.err
psql $1 -o ./sequence_o2p_q_step.log -f ./sequence_o2p_q_step.sql 2>./sequence_o2p_q_step.err
psql $1 -o ./sequence_o2p_q_step_hist.log -f ./sequence_o2p_q_step_hist.sql 2>./sequence_o2p_q_step_hist.err
psql $1 -o ./sequence_o2p_q_user_in_project.log -f ./sequence_o2p_q_user_in_project.sql 2>./sequence_o2p_q_user_in_project.err
psql $1 -o ./sequence_o2p_q_tab_column.log -f ./sequence_o2p_q_tab_column.sql 2>./sequence_o2p_q_tab_column.err
psql $1 -o ./sequence_o2p_q_postgres_connection.log -f ./sequence_o2p_q_postgres_connection.sql 2>./sequence_o2p_q_postgres_connection.err
psql $1 -o ./sequence_o2p_q_file.log -f ./sequence_o2p_q_file.sql 2>./sequence_o2p_q_file.err
psql $1 -o ./sequence_o2p_q_acsession.log -f ./sequence_o2p_q_acsession.sql 2>./sequence_o2p_q_acsession.err
psql $1 -o ./sequence_o2p_q_acsession_ot.log -f ./sequence_o2p_q_acsession_ot.sql 2>./sequence_o2p_q_acsession_ot.err
psql $1 -o ./sequence_o2p_q_object_restriction.log -f ./sequence_o2p_q_object_restriction.sql 2>./sequence_o2p_q_object_restriction.err
psql $1 -o ./sequence_o2p_q_object4projectobject.log -f ./sequence_o2p_q_object4projectobject.sql 2>./sequence_o2p_q_object4projectobject.err
psql $1 -o ./sequence_o2p_q_long_text.log -f ./sequence_o2p_q_long_text.sql 2>./sequence_o2p_q_long_text.err
psql $1 -o ./sequence_o2p_q_responsible_log.log -f ./sequence_o2p_q_responsible_log.sql 2>./sequence_o2p_q_responsible_log.err
psql $1 -o ./sequence_o2p_q_acsession_object.log -f ./sequence_o2p_q_acsession_object.sql 2>./sequence_o2p_q_acsession_object.err
psql $1 -o ./sequence_o2p_q_poresponsible_log.log -f ./sequence_o2p_q_poresponsible_log.sql 2>./sequence_o2p_q_poresponsible_log.err
psql $1 -o ./sequence_o2p_q_porevision.log -f ./sequence_o2p_q_porevision.sql 2>./sequence_o2p_q_porevision.err
psql $1 -o ./sequence_o2p_q_oracle_ddl.log -f ./sequence_o2p_q_oracle_ddl.sql 2>./sequence_o2p_q_oracle_ddl.err

#
psql $1 -o ./domain_o2p_d_code32.log -f ./domain_o2p_d_code32.sql 2>./domain_o2p_d_code32.err
psql $1 -o ./domain_o2p_d_datatype.log -f ./domain_o2p_d_datatype.sql 2>./domain_o2p_d_datatype.err
psql $1 -o ./domain_o2p_d_date.log -f ./domain_o2p_d_date.sql 2>./domain_o2p_d_date.err
psql $1 -o ./domain_o2p_d_datetime.log -f ./domain_o2p_d_datetime.sql 2>./domain_o2p_d_datetime.err
psql $1 -o ./domain_o2p_d_description.log -f ./domain_o2p_d_description.sql  2>./domain_o2p_d_description.err
psql $1 -o ./domain_o2p_d_id.log -f ./domain_o2p_d_id.sql 2>./domain_o2p_d_id.err
psql $1 -o ./domain_o2p_d_intpos.log -f ./domain_o2p_d_intpos.sql 2>./domain_o2p_d_intpos.err
psql $1 -o ./domain_o2p_d_log.log -f ./domain_o2p_d_log.sql 2>./domain_o2p_d_log.err
psql $1 -o ./domain_o2p_d_name.log -f ./domain_o2p_d_name.sql 2>./domain_o2p_d_name.err
psql $1 -o ./domain_o2p_d_notes.log -f ./domain_o2p_d_notes.sql  2>./domain_o2p_d_notes.err
psql $1 -o ./domain_o2p_d_number.log -f ./domain_o2p_d_number.sql 2>./domain_o2p_d_number.err
psql $1 -o ./domain_o2p_d_ny.log -f ./domain_o2p_d_ny.sql 2>./domain_o2p_d_ny.err
psql $1 -o ./domain_o2p_d_password.log -f ./domain_o2p_d_password.sql 2>./domain_o2p_d_password.err
psql $1 -o ./domain_o2p_d_port.log -f ./domain_o2p_d_port.sql 2>./domain_o2p_d_port.err
psql $1 -o ./domain_o2p_d_script.log -f ./domain_o2p_d_script.sql 2>./domain_o2p_d_script.err
psql $1 -o ./domain_o2p_d_text.log -f ./domain_o2p_d_text.sql 2>./domain_o2p_d_text.err
psql $1 -o ./domain_o2p_d_username.log -f ./domain_o2p_d_username.sql 2>./domain_o2p_d_username.err
psql $1 -o ./domain_o2p_d_yn.log -f ./domain_o2p_d_yn.sql 2>./domain_o2p_d_yn.err
psql $1 -o ./domain_o2p_d_ipaddrv4.log -f ./domain_o2p_d_ipaddrv4.sql 2>./domain_o2p_d_ipaddrv4.err

#
psql $1 -o ./ddl_o2p_t_rf_category.log -f ./ddl_o2p_t_rf_category.sql 2>./ddl_o2p_t_rf_category.err
psql $1 -o ./ddl_o2p_t_rf_config_group.log -f ./ddl_o2p_t_rf_config_group.sql 2>./ddl_o2p_t_rf_config_group.err
psql $1 -o ./ddl_o2p_t_rf_datatype.log -f ./ddl_o2p_t_rf_datatype.sql 2>./ddl_o2p_t_rf_datatype.err
psql $1 -o ./ddl_o2p_t_rf_parameter.log -f ./ddl_o2p_t_rf_parameter.sql 2>./ddl_o2p_t_rf_parameter.err
psql $1 -o ./ddl_o2p_t_rf_allowable_parameter_value.log -f ./ddl_o2p_t_rf_allowable_parameter_value.sql 2>./ddl_o2p_t_rf_allowable_parameter_value.err
psql $1 -o ./ddl_o2p_t_rf_res4stepscript.log -f ./ddl_o2p_t_rf_res4stepscript.sql 2>./ddl_o2p_t_rf_res4stepscript.err
psql $1 -o ./ddl_o2p_t_rf_object_status.log -f ./ddl_o2p_t_rf_object_status.sql 2>./ddl_o2p_t_rf_object_status.err
psql $1 -o ./ddl_o2p_t_rf_object_type.log -f ./ddl_o2p_t_rf_object_type.sql 2>./ddl_o2p_t_rf_object_type.err
psql $1 -o ./ddl_o2p_t_rf_step_status.log -f ./ddl_o2p_t_rf_step_status.sql 2>./ddl_o2p_t_rf_step_status.err
psql $1 -o ./ddl_o2p_t_rf_restriction_type.log -f ./ddl_o2p_t_rf_restriction_type.sql 2>./ddl_o2p_t_rf_restriction_type.err
psql $1 -o ./ddl_o2p_t_rf_amstage.log -f ./ddl_o2p_t_rf_amstage.sql 2>./ddl_o2p_t_rf_amstage.err
psql $1 -o ./ddl_o2p_t_rf_postgres_type.log -f ./ddl_o2p_t_rf_postgres_type.sql 2>./ddl_o2p_t_rf_postgres_type.err
psql $1 -o ./ddl_o2p_t_rf_ot4ot.log -f ./ddl_o2p_t_rf_ot4ot.sql 2>./ddl_o2p_t_rf_ot4ot.err
psql $1 -o ./ddl_o2p_t_rf_acsession_rescode.log -f ./ddl_o2p_t_rf_acsession_rescode.sql 2>./ddl_o2p_t_rf_acsession_rescode.err
psql $1 -o ./ddl_o2p_t_rf_migration_level.log -f ./ddl_o2p_t_rf_migration_level.sql 2>./ddl_o2p_t_rf_migration_level.err
psql $1 -o ./ddl_o2p_t_rf_project_status.log -f ./ddl_o2p_t_rf_project_status.sql 2>./ddl_o2p_t_rf_project_status.err
psql $1 -o ./ddl_o2p_t_rf_step_type.log -f ./ddl_o2p_t_rf_step_type.sql 2>./ddl_o2p_t_rf_step_type.err
psql $1 -o ./ddl_o2p_t_rf_motype2restriction.log -f ./ddl_o2p_t_rf_motype2restriction.sql 2>./ddl_o2p_t_rf_motype2restriction.err
psql $1 -o ./ddl_o2p_t_rf_pobject_status.log -f ./ddl_o2p_t_rf_pobject_status.sql 2>./ddl_o2p_t_rf_pobject_status.err
psql $1 -o ./ddl_o2p_t_rf_stype2mlevel.log -f ./ddl_o2p_t_rf_stype2mlevel.sql 2>./ddl_o2p_t_rf_stype2mlevel.err
psql $1 -o ./ddl_o2p_t_rf_ptype4steptype.log -f ./ddl_o2p_t_rf_ptype4steptype.sql 2>./ddl_o2p_t_rf_ptype4steptype.err
psql $1 -o ./ddl_o2p_t_rf_serverlog -f ./ddl_o2p_t_rf_server.sql 2>./ddl_o2p_t_rf_server.err
psql $1 -o ./ddl_o2p_t_rf_objects4run.log -f ./ddl_o2p_t_rf_objects4run.sql 2>./ddl_o2p_t_rf_objects4run.err


# 
psql $1 -o ./ddl_o2p_t_long_text.log -f ./ddl_o2p_t_long_text.sql 2>./ddl_o2p_t_long_text.err
psql $1 -o ./ddl_o2p_t_project.log -f ./ddl_o2p_t_project.sql  2>./ddl_o2p_t_project.err
psql $1 -o ./ddl_o2p_t_oracle_schema.log -f ./ddl_o2p_t_oracle_schema.sql 2>./ddl_o2p_t_oracle_schema.err
psql $1 -o ./ddl_o2p_t_user.log -f ./ddl_o2p_t_user.sql 2>./ddl_o2p_t_user.err
psql $1 -o ./ddl_o2p_t_project_object.log -f ./ddl_o2p_t_project_object.sql 2>./ddl_o2p_t_project_object.err
psql $1 -o ./ddl_o2p_t_step.log -f ./ddl_o2p_t_step.sql 2>./ddl_o2p_t_step.err
psql $1 -o ./ddl_o2p_t_step_hist.log -f ./ddl_o2p_t_step_hist.sql 2>./ddl_o2p_t_step_hist.err
psql $1 -o ./ddl_o2p_t_user_in_project.log -f ./ddl_o2p_t_user_in_project.sql 2>./ddl_o2p_t_user_in_project.err
psql $1 -o ./ddl_o2p_t_oracle_connection.log -f ./ddl_o2p_t_oracle_connection.sql 2>./ddl_o2p_t_oracle_connection.err
psql $1 -o ./ddl_o2p_t_postgres_connection.log -f ./ddl_o2p_t_postgres_connection.sql 2>./ddl_o2p_t_postgres_connection.err
psql $1 -o ./ddl_o2p_t_acsession.log -f ./ddl_o2p_t_acsession.sql 2>./ddl_o2p_t_acsession.err
psql $1 -o ./ddl_o2p_t_oracle_ddl.log -f ./ddl_o2p_t_oracle_ddl.sql 2>./ddl_o2p_t_oracle_ddl.err
psql $1 -o ./ddl_o2p_t_file.log -f ./ddl_o2p_t_file.sql 2>./ddl_o2p_t_file.err
psql $1 -o ./ddl_o2p_t_acsession_ot.log -f ./ddl_o2p_t_acsession_ot.sql 2>./ddl_o2p_t_acsession_ot.err
psql $1 -o ./ddl_o2p_t_object.log -f ./ddl_o2p_t_object.sql 2>./ddl_o2p_t_object.err
psql $1 -o ./ddl_o2p_t_revision.log -f ./ddl_o2p_t_revision.sql 2>./ddl_o2p_t_revision.err
psql $1 -o ./ddl_o2p_t_acsession_object.log -f ./ddl_o2p_t_acsession_object.sql 2>./ddl_o2p_t_acsession_object.err
psql $1 -o ./ddl_o2p_t_parameter_value.log -f ./ddl_o2p_t_parameter_value.sql 2>./ddl_o2p_t_parameter_value.err
psql $1 -o ./ddl_o2p_t_object_restriction.log -f ./ddl_o2p_t_object_restriction.sql 2>./ddl_o2p_t_object_restriction.err
psql $1 -o ./ddl_o2p_t_object4projectobject.log -f ./ddl_o2p_t_object4projectobject.sql 2>./ddl_o2p_t_object4projectobject.err
psql $1 -o ./ddl_o2p_t_orasys_role.log -f ./ddl_o2p_t_orasys_role.sql 2>./ddl_o2p_t_orasys_role.err
psql $1 -o ./ddl_o2p_t_acsession_task.log -f ./ddl_o2p_t_acsession_task.sql 2>./ddl_o2p_t_acsession_task.err
psql $1 -o ./ddl_o2p_t_step_script.log -f ./ddl_o2p_t_step_script.sql 2>./ddl_o2p_t_step_script.err
psql $1 -o ./ddl_o2p_t_responsible_log.log -f ./ddl_o2p_t_responsible_log.sql 2>./ddl_o2p_t_responsible_log.err
psql $1 -o ./ddl_o2p_t_poresponsible_log.log -f ./ddl_o2p_t_poresponsible_log.sql 2>./ddl_o2p_t_poresponsible_log.err
psql $1 -o ./ddl_o2p_t_porevision.log -f ./ddl_o2p_t_porevision.sql 2>./ddl_o2p_t_porevision.err
psql $1 -o ./ddl_o2p_t_po2acsession.log -f ./ddl_o2p_t_po2acsession.sql 2>./ddl_o2p_t_po2acsession.err
psql $1 -o ./ddl_o2p_t_orasys_schema.log -f ./ddl_o2p_t_orasys_schema.sql 2>./ddl_o2p_t_orasys_schema.err
psql $1 -o ./ddl_o2p_t_tab_column.log -f ./ddl_o2p_t_tab_column.sql 2>./ddl_o2p_t_tab_column.err

#
psql $1 -o ./view_o2p_v_autoobject.log -f ./view_o2p_v_autoobject.sql 2>./view_o2p_v_autoobject.err

# 
psql $1 -o ./function_o2p_f_c2t.log -f ./function_o2p_f_c2t.sql 2>./function_o2p_f_c2t.err
psql $1 -o ./function_o2p_f_find_pkgname4str.log -f ./function_o2p_f_find_pkgname4str.sql 2>./function_o2p_f_find_pkgname4str.err
psql $1 -o ./function_o2p_f_get_defhist_to.log -f ./function_o2p_f_get_defhist_to.sql 2>./function_o2p_f_get_defhist_to.err
psql $1 -o ./function_o2p_f_change_leader_in_project.log -f ./function_o2p_f_change_leader_in_project.sql 2>./function_o2p_f_change_leader_in_project.err
psql $1 -o ./function_o2p_f_get_motype2restriction.log -f ./function_o2p_f_get_motype2restriction.sql 2>./function_o2p_f_get_motype2restriction.err
psql $1 -o ./function_o2p_f_get_parameter_setoff.log -f ./function_o2p_f_get_parameter_setoff.sql 2>./function_o2p_f_get_parameter_setoff.err
psql $1 -o ./function_o2p_f_get_parameter_value.log -f ./function_o2p_f_get_parameter_value.sql 2>./function_o2p_f_get_parameter_value.err
psql $1 -o ./function_o2p_f_get_pgtype_4_oratype.log -f ./function_o2p_f_get_pgtype_4_oratype.sql 2>./function_o2p_f_get_pgtype_4_oratype.err
psql $1 -o ./function_o2p_f_is_conversion_required.log -f ./function_o2p_f_is_conversion_required.sql 2>./function_o2p_f_is_conversion_required.err
psql $1 -o ./function_o2p_f_isconvertok.log -f ./function_o2p_f_isconvertok.sql 2>./function_o2p_f_isconvertok.err
psql $1 -o ./function_o2p_f_isitme.log -f ./function_o2p_f_isitme.sql 2>./function_o2p_f_isitme.err
psql $1 -o ./function_o2p_f_ismeactive.log -f ./function_o2p_f_ismeactive.sql 2>./function_o2p_f_ismeactive.err
psql $1 -o ./function_o2p_f_ismeleader.log -f ./function_o2p_f_ismeleader.sql 2>./function_o2p_f_ismeleader.err
psql $1 -o ./function_o2p_f_ismeowner.log -f ./function_o2p_f_ismeowner.sql 2>./function_o2p_f_ismeowner.err
psql $1 -o ./function_o2p_f_ismesuperuser.log -f ./function_o2p_f_ismesuperuser.sql 2>./function_o2p_f_ismesuperuser.err
psql $1 -o ./function_o2p_f_isuserlui.log -f ./function_o2p_f_isuserlui.sql 2>./function_o2p_f_isuserlui.err
psql $1 -o ./function_o2p_f_l2t.log -f ./function_o2p_f_l2t.sql 2>./function_o2p_f_l2t.err
psql $1 -o ./function_o2p_f_make_command.log -f ./function_o2p_f_make_command.sql 2>./function_o2p_f_make_command.err
psql $1 -o ./function_o2p_f_make_command4ddl.log -f ./function_o2p_f_make_command4ddl.sql 2>./function_o2p_f_make_command4ddl.err
psql $1 -o ./function_o2p_f_make_command4restrict.log -f ./function_o2p_f_make_command4restrict.sql 2>./function_o2p_f_make_command4restrict.err
psql $1 -o ./function_o2p_f_make_config.log -f ./function_o2p_f_make_config.sql 2>./function_o2p_f_make_config.err
psql $1 -o ./function_o2p_f_make_objlist_4_config.log -f ./function_o2p_f_make_objlist_4_config.sql 2>./function_o2p_f_make_objlist_4_config.err
psql $1 -o ./function_o2p_f_make_oraquery.log -f ./function_o2p_f_make_oraquery.sql 2>./function_o2p_f_make_oraquery.err
psql $1 -o ./function_o2p_f_make_pg_script_4_step.log -f ./function_o2p_f_make_pg_script_4_step.sql 2>./function_o2p_f_make_pg_script_4_step.err
psql $1 -o ./function_o2p_f_make_tab_attr_4_config.log -f ./function_o2p_f_make_tab_attr_4_config.sql 2>./function_o2p_f_make_tab_attr_4_config.err
psql $1 -o ./function_o2p_f_make_tab_attr_4_config2.log -f ./function_o2p_f_make_tab_attr_4_config2.sql 2>./function_o2p_f_make_tab_attr_4_config2.err
psql $1 -o ./function_o2p_f_me.log -f ./function_o2p_f_me.sql 2>./function_o2p_f_me.err
psql $1 -o ./function_o2p_f_hasusermembership.log -f ./function_o2p_f_hasusermembership.sql 2>./function_o2p_f_hasusermembership.err
psql $1 -o ./function_o2p_f_isuseractive.log -f ./function_o2p_f_isuseractive.sql 2>./function_o2p_f_isuseractive.err
psql $1 -o ./function_o2p_f_isuserleader.log -f ./function_o2p_f_isuserleader.sql 2>./function_o2p_f_isuserleader.err
psql $1 -o ./function_o2p_f_oracle_ddl.log -f ./function_o2p_f_oracle_ddl.sql 2>./function_o2p_f_oracle_ddl.err
psql $1 -o ./function_o2p_f_ostatus.log -f ./function_o2p_f_ostatus.sql 2>./function_o2p_f_ostatus.err
psql $1 -o ./function_o2p_f_owner.log -f ./function_o2p_f_owner.sql 2>./function_o2p_f_owner.err
psql $1 -o ./function_o2p_f_rf_dml.log -f ./function_o2p_f_rf_dml.sql 2>./function_o2p_f_rf_dml.err
psql $1 -o ./function_o2p_f_rf_export.log -f ./function_o2p_f_rf_export.sql 2>./function_o2p_f_rf_export.err
psql $1 -o ./function_o2p_f_save_user_in_project.log -f ./function_o2p_f_save_user_in_project.sql 2>./function_o2p_f_save_user_in_project.err
psql $1 -o ./function_o2p_f_set_parameter_value.log -f ./function_o2p_f_set_parameter_value.sql 2>./function_o2p_f_set_parameter_value.err

psql $1 -o ./function_o2p_g_object_project4o_bi.log -f ./function_o2p_g_object_project4o_bi.sql 2>./function_o2p_g_object_project4o_bi.err
psql $1 -o ./function_o2p_g_po_oracle_script_bur.log -f ./function_o2p_g_po_oracle_script_bur.sql 2>./function_o2p_g_po_oracle_script_bur.err
psql $1 -o ./function_o2p_g_poresponsible_log.log -f ./function_o2p_g_poresponsible_log.sql 2>./function_o2p_g_poresponsible_log.err
psql $1 -o ./function_o2p_g_responsible_log.log -f ./function_o2p_g_responsible_log.sql 2>./function_o2p_g_responsible_log.err

psql $1 -o ./function_o2p_r_convertlog.log -f ./function_o2p_r_convertlog.sql 2>./function_o2p_r_convertlog.err
psql $1 -o ./function_o2p_r_create_pgobjects.log -f ./function_o2p_r_create_pgobjects.sql 2>./function_o2p_r_create_pgobjects.err
psql $1 -o ./function_o2p_r_duplicate_project.log -f ./function_o2p_r_duplicate_project.sql 2>./function_o2p_r_duplicate_project.err
psql $1 -o ./function_o2p_r_make_objlist_4_acsession.log -f ./function_o2p_r_make_objlist_4_acsession.sql 2>./function_o2p_r_make_objlist_4_acsession.err
psql $1 -o ./function_o2p_r_refresh_rights.log -f ./function_o2p_r_refresh_rights.sql 2>./function_o2p_r_refresh_rights.err
psql $1 -o ./function_o2p_r_set_convert_status.log -f ./function_o2p_r_set_convert_status.sql 2>./function_o2p_r_set_convert_status.err
psql $1 -o ./function_o2p_r_task_registration..log -f ./function_o2p_r_task_registration.sql 2>./function_o2p_r_task_registration..err
psql $1 -o ./function_o2p_r_task_status.log -f ./function_o2p_r_task_status.sql 2>./function_o2p_r_task_status.err

#
psql $1 -o ./trigger_o2p_g_object_project4o_bi.log -f ./trigger_o2p_g_object_project4o_bi.sql 2>./trigger_o2p_g_object_project4o_bi.err
psql $1 -o ./trigger_o2p_g_object_responsible_log_aur.log -f ./trigger_o2p_g_object_responsible_log_aur.sql 2>./trigger_o2p_g_object_responsible_log_aur.err
psql $1 -o ./trigger_o2p_g_poresponsible_log_aur.log -f ./trigger_o2p_g_poresponsible_log_aur.sql 2>./trigger_o2p_g_poresponsible_log_aur.err
psql $1 -o ./trigger_o2p_g_po_oracle_script_bur.log -f ./trigger_o2p_g_po_oracle_script_bur.sql 2>./trigger_o2p_g_po_oracle_script_bur.err

#DML-
psql $1 -o ./dml_o2p_t_orasys_schema.log -f ./dml_o2p_t_orasys_schema.sql 2>./dml_o2p_t_orasys_schema.err
psql $1 -o ./dml_o2p_t_orasys_role.log -f ./dml_o2p_t_orasys_role.sql 2>./dml_o2p_t_orasys_role.err
psql $1 -o ./dml_rf.log -f ./dml_rf.sql 2>./dml_rf.err

#  
psql $1 -o ./grant_adm_rights.log -f ./grant_adm_rights.sql 2>./grant_adm_rights.err


