begin;
insert into lui_t_formgroup (code, name, formgroup_code, app_code)
Select 'LUI4ORA2PG', 'RUS:;ENG:Migration;', null, 'LUI4ORA2PG'
where not exists (Select null from lui_t_formgroup where Code='LUI4ORA2PG' and app_code='LUI4ORA2PG')
;
Delete from lui_t_value where form_code='O2P_M_MAIN_MENU' and app_code='LUI4ORA2PG';
Delete from lui_t_config where form_code='O2P_M_MAIN_MENU' and app_code='LUI4ORA2PG';
Delete from lui_t_element where form_code='O2P_M_MAIN_MENU' and app_code='LUI4ORA2PG';
Delete from lui_t_form where Code='O2P_M_MAIN_MENU' and app_code='LUI4ORA2PG';
insert into lui_t_form (code, formtype_code, formgroup_code, app_code, complete_time) values ('O2P_M_MAIN_MENU', 'MENU', 'LUI4ORA2PG', 'LUI4ORA2PG', null);
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AD', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:;ENG:Administrative;', null, 1000, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AD_ACCESS_RIGHT', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Usergroups access;', null, 10000, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AD_ADD_RIGHT', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Grant access to usergroup;', null, 10002, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AD_DEL_RIGHT', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:   ;ENG:Revoke access from usergroup;', null, 10003, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AD_EFFECTIVE_RIGHT', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Users access rights;', null, 10001, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('EXIT', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Action when closing;', null, 1005, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('MONITORING', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:;ENG:Monitiring;', null, 1004, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_CHANGE_PASSWORD', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Change Password;', null, 13, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_MEMBER', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Project members;', null, 12, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_PROJECT', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Migration projects;', null, 11, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:;ENG:References;', null, 9, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('P_AUTOEXPAND', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Expant menu branch automatically;', null, 3, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('P_AUTORUN', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Run forms automatically;', null, 4, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('POSITION$', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Position;', null, 6, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('SYSMENU$ABOUT', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:-;ENG:-;', null, 9999, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('SYSMENU$ABOUT_APP', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;', null, 10004, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('TUNE', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:;ENG:Configure;', null, 1002, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('WINDOW_TYPE$', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Window type;', null, 5, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AD_ACCESS_CONTROL', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Access control;', 'AD', 2, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AD_ASYNC_TASK', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Async tasks;', 'AD', 4, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AD_LINKED_FILES', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Attached files;', 'AD', 3, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AR_P_ADD_WHERE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS:. ;ENG:Additional where;', 'AD_ACCESS_RIGHT', 4, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AR_P_APPCODE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Application code;', 'AD_ACCESS_RIGHT', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AR_P_OBJ', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Object code;', 'AD_ACCESS_RIGHT', 3, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AR_P_OBJTYPE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Object type;', 'AD_ACCESS_RIGHT', 2, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('ER_P_ADD_WHERE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS:. ;ENG:Additional where;', 'AD_EFFECTIVE_RIGHT', 4, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('ER_P_APPCODE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:AppCode;', 'AD_EFFECTIVE_RIGHT', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('ER_P_OBJ', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS:;ENG:Object;', 'AD_EFFECTIVE_RIGHT', 3, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('ER_P_OBJTYPE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Object type;', 'AD_EFFECTIVE_RIGHT', 2, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('M_ASYNC_TASK', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Async tasks;', 'MONITORING', 4, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('M_LUI_SESSIONS', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: {F:P_APPCODE};ENG:{F:P_APPCODE} sessions;', 'MONITORING', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('M_PG_MUTUAL_LOCKS', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:   ;ENG:Mutual database session locks;', 'MONITORING', 3, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('M_PG_SESSIONS', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Database sessions;', 'MONITORING', 2, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('CHANGE_PASSWORD_APPCODE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Application Code;', 'O2P_M_CHANGE_PASSWORD', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('CHANGE_PASSWORD_USERNAME', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:User Name;', 'O2P_M_CHANGE_PASSWORD', 2, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_ACSESSION', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:;ENG:Automigration;', 'O2P_M_RF', 10, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_EXPORT', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:   ;ENG:Export Referencies;', 'O2P_M_RF', 10010, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_MIGRATION_LEVEL', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Migration Levels;', 'O2P_M_RF', 2, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_MSTEP', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Migration stages;', 'O2P_M_RF', 11, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_OBJECT', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:;ENG:Objects;', 'O2P_M_RF', 9, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_PARAMETER', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:;ENG:Parameters;', 'O2P_M_RF', 6, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_PROJECT_STATUS', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Project Statuses;', 'O2P_M_RF', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_RESTRICTION_TYPE', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Types of migration restrictions;', 'O2P_M_RF', 5, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_SERVER', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:;ENG:Servers;', 'O2P_M_RF', 10009, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('TUNE_ADDON', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Addons to forms;', 'TUNE', 7, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('TUNE_ALPHABET', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:;ENG:Alphabets;', 'TUNE', 5, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('TUNE_APP_PARAMETERS', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Application parameters;', 'TUNE', 0, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('TUNE_FILETYPES', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Types of associated files;', 'TUNE', 6, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('TUNE_LANGUAGES', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:;ENG:Languages;', 'TUNE', 4, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('TUNE_MESSAGES', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Error messages;', 'TUNE', 2, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('TUNE_PG_PARAM', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:PostgreSQL parameters;', 'TUNE', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AD_AC_ACTION_TYPE4OBJECT_TYPE', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:    ;ENG:Types of access control actions;', 'AD_ACCESS_CONTROL', 7, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AD_AC_OBJECT_TYPE_RIGHT', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:   ;ENG:Types of access management objects;', 'AD_ACCESS_CONTROL', 5, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AD_AC_USER_GROUPS', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:User groups;', 'AD_ACCESS_CONTROL', 3, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AD_AC_USERS', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:;ENG:Users;', 'AD_ACCESS_CONTROL', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AD_AC_USERS_HISTORY', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:User history;', 'AD_ACCESS_CONTROL', 8, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_ACS_RESCODE', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:   ;ENG:Auto-Migration Result Code;', 'O2P_M_RF_ACSESSION', 14, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_AMSTAGE', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:   ;ENG:Stages of Task for Auto-Migration;', 'O2P_M_RF_ACSESSION', 13, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_OBJECTS4RUN', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:    ;ENG:Auto-Migration Variants;', 'O2P_M_RF_ACSESSION', 12, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_RES4STEPSCRIPT', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:    ;ENG:Step Script Execution Results;', 'O2P_M_RF_MSTEP', 10006, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_STEP_STATUS', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Migration Step Statuses;', 'O2P_M_RF_MSTEP', 10005, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_STEP_TYPE', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Migration Step Types;', 'O2P_M_RF_MSTEP', 10004, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_CATEGORY', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Object categories;', 'O2P_M_RF_OBJECT', 7, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_PG_OBJECT', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: Postgres;ENG:Postgres objects;', 'O2P_M_RF_OBJECT', 9, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_PROJECT_OBJECT', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Project objects;', 'O2P_M_RF_OBJECT', 8, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_CONFIG_GROUP', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Groups of Configuration Parameter;', 'O2P_M_RF_PARAMETER', 2, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_DATATYPE', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Data Types;', 'O2P_M_RF_PARAMETER', 9, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_PARAMETER_', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Parameters of the Configuration;', 'O2P_M_RF_PARAMETER', 3, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_PARAMETER_VALUE', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:   ;ENG:Allowable Parameter Values;', 'O2P_M_RF_PARAMETER', 5, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('TAP_P_APPCODE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Application code;', 'TUNE_APP_PARAMETERS', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('TL_P_APPCODE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Application code;', 'TUNE_LANGUAGES', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('TM_P_APPCODE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Application code;', 'TUNE_MESSAGES', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AATOT_P_APPCODE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Application code;', 'AD_AC_ACTION_TYPE4OBJECT_TYPE', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AOTR_APP_CODE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Application code;', 'AD_AC_OBJECT_TYPE_RIGHT', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AUG_P_APPCODE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Application code;', 'AD_AC_USER_GROUPS', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AU_P_APPCODE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Application Code;', 'AD_AC_USERS', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('AAUH_P_APPCODE', 'PARAM', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Application;', 'AD_AC_USERS_HISTORY', 1, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_OBJECT_STATUS', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  Postgres;ENG:Postgres Object Statuses;', 'O2P_M_RF_PG_OBJECT', 10008, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_POSTGRES_TYPE', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  Postgres;ENG:Postgres Object Types;', 'O2P_M_RF_PG_OBJECT', 10007, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_OBJECT_TYPE', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Project Object Types;', 'O2P_M_RF_PROJECT_OBJECT', 8, 'LUI4ORA2PG');
insert into lui_t_element (code, etype, form_code, Name, element_code, seq, app_code) values ('O2P_M_RF_POBJECT_STATUS', 'ACTION', 'O2P_M_MAIN_MENU', 'RUS:  ;ENG:Project Object Statuses;', 'O2P_M_RF_PROJECT_OBJECT', 9, 'LUI4ORA2PG');
insert into lui_t_config (code, form_code, name, config_code, app_code) values ('DEFAULT', 'O2P_M_MAIN_MENU', 'RUS: ;ENG:Main menu;', null, 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AATOT_P_APPCODE', 'NAME', null, 'P_APPCODE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AATOT_P_APPCODE', 'VALUE', null, '{ApplicationProperty:AppCode}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AAUH_P_APPCODE', 'NAME', null, 'P_APPCODE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AAUH_P_APPCODE', 'VALUE', null, '{ApplicationProperty:AppCode}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD', 'AUTOEXPAND', null, '{F:P_AUTOEXPAND}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD', 'DISPLAY', null, 'N', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD', 'EXPLANATION', 'Y', 'RUS:   .;ENG:Acess control etc.;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD', 'ICON', null, 'admin', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD', 'PROMPT', 'Y', 'RUS:;ENG:Administrative;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_ACTION_TYPE4OBJECT_TYPE', 'COMMAND', null, 'LUI_L_ACTION_TYPE_RIGHT', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_ACTION_TYPE4OBJECT_TYPE', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_ACTION_TYPE4OBJECT_TYPE', 'EXPLANATION', 'Y',
'RUS:     ;ENG:Action types to grant access to users;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_ACTION_TYPE4OBJECT_TYPE', 'ICON', null, 'f_tu', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_ACTION_TYPE4OBJECT_TYPE', 'PROMPT', 'Y',
'RUS:    ;ENG:Types of access control actions;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_ACTION_TYPE4OBJECT_TYPE', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_OBJECT_TYPE_RIGHT', 'COMMAND', null, 'LUI_L_OBJECT_TYPE_RIGHT', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_OBJECT_TYPE_RIGHT', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_OBJECT_TYPE_RIGHT', 'EXPLANATION', 'Y',
'RUS:     ;ENG:Objects types to grant access to users;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_OBJECT_TYPE_RIGHT', 'ICON', null, 'Catalog', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_OBJECT_TYPE_RIGHT', 'PROMPT', 'Y',
'RUS:   ;ENG:Types of access management objects;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_OBJECT_TYPE_RIGHT', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USER_GROUPS', 'COMMAND', null, 'LUI_L_USER_GROUP', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USER_GROUPS', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USER_GROUPS', 'EXPLANATION', 'Y',
'RUS:  ;ENG:Manage user groups;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USER_GROUPS', 'ICON', null, 'users', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USER_GROUPS', 'PROMPT', 'Y', 'RUS: ;ENG:User groups;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USER_GROUPS', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USERS', 'COMMAND', null, 'O2P_L_USER', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USERS', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USERS', 'EXPLANATION', 'Y', 'RUS: ;ENG:Manage Users;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USERS', 'ICON', null, 'user', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USERS', 'PROMPT', 'Y', 'RUS:;ENG:Users;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USERS', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USERS_HISTORY', 'COMMAND', null, 'LUI_L_USER_HISTORY', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USERS_HISTORY', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USERS_HISTORY', 'EXPLANATION', 'Y',
'RUS:   ;ENG:User Management Events;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USERS_HISTORY', 'ICON', null, 'history', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USERS_HISTORY', 'PROMPT', 'Y', 'RUS: ;ENG:User''s History;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_AC_USERS_HISTORY', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ACCESS_CONTROL', 'AUTOEXPAND', null, '{F:P_AUTOEXPAND}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ACCESS_CONTROL', 'EXPLANATION', 'Y',
'RUS:   ;ENG:Manage users and groups;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ACCESS_CONTROL', 'ICON', null, 'security', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ACCESS_CONTROL', 'PROMPT', 'Y', 'RUS: ;ENG:Access control;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ACCESS_RIGHT', 'COMMAND', null, 'LUI_L_OBJECT_RIGHT', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ACCESS_RIGHT', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ACCESS_RIGHT', 'ICON', null, 'users', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ACCESS_RIGHT', 'PROMPT', 'Y',
'RUS:[ico:{Property:ICON}]  ;ENG:[ico:{Property:ICON}]Usergroups access;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ACCESS_RIGHT', 'ROLE', null, 'RMB', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ADD_RIGHT', 'ACTIVE', null,
'{JS: if ("{Property:CountSelected}"=="0") "N";else "Y";}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ADD_RIGHT', 'ICON', null, 'unlock', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ADD_RIGHT', 'PROC_INITIALLY', null,
'PLPGSQL:'||Chr(10)||
'declare '||Chr(10)||
'ug lui_d_code32:=''{LOVQ:select code,nls(name) from lui_t_usergroup '||Chr(10)||
'where app_code=''{ApplicationProperty:AppCode}'' '||Chr(10)||
'and lui_f_get_effective_right(''USERGROUP'',code,''ADM'',''{ApplicationProperty:AppUser}'',''{ApplicationProperty:AppCode}'')=''Y'' order by 1}'';'||Chr(10)||
'items json:=''{FormProperty:ItemsSelectedJSON}'';'||Chr(10)||
'rec record;'||Chr(10)||
'begin'||Chr(10)||
'for rec in (select key from json_each_text(items)) loop'||Chr(10)||
'delete from lui_t_object_right where '||Chr(10)||
'app_code=''{ApplicationProperty:AppCode}'''||Chr(10)||
'and usersgroup_code=ug and object_type=''UI_ELEMENT'' '||Chr(10)||
'and object=''{FormProperty:Code}.''||rec.key'||Chr(10)||
'and action_type=''RUN'';'||Chr(10)||
'insert into lui_t_object_right(app_code,usersgroup_code,object_type,object,action_type,status)'||Chr(10)||
'values(''{ApplicationProperty:AppCode}'',ug,''UI_ELEMENT'',''{FormProperty:Code}.''||rec.key,''RUN'',''GRANT'');'||Chr(10)||
'end loop;'||Chr(10)||
'end', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ADD_RIGHT', 'PROMPT', 'Y',
'RUS:[ico:{Property:ICON}]  ;ENG:[ico:{Property:ICON}]Grant access to usergroup;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ADD_RIGHT', 'ROLE', null, 'RMB', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ASYNC_TASK', 'ACTIVE', null,
'{SQL:(LUI$)select ''Y'' from lui_t_form where app_code=''{ApplicationProperty:AppCode}'' and formtype_code=''TASK'' limit 1}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ASYNC_TASK', 'COMMAND', null, 'LUI_L_TASK_ASYNC', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ASYNC_TASK', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ASYNC_TASK', 'EXPLANATION', 'Y',
'RUS:  ;ENG:Managing asynchronous tasks;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ASYNC_TASK', 'ICON', null, 'task', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ASYNC_TASK', 'PROMPT', 'Y', 'RUS: ;ENG:Async tasks;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_ASYNC_TASK', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_DEL_RIGHT', 'ACTIVE', null,
'{JS: if ("{Property:CountSelected}"=="0") "N";else "Y";}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_DEL_RIGHT', 'ICON', null, 'lock', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_DEL_RIGHT', 'PROC_INITIALLY', null,
'PLPGSQL:'||Chr(10)||
'declare '||Chr(10)||
'ug lui_d_code32:=''{LOVQ:select code,nls(name) from lui_t_usergroup '||Chr(10)||
'where app_code=''{ApplicationProperty:AppCode}'' '||Chr(10)||
'and lui_f_get_effective_right(''USERGROUP'',code,''ADM'',''{ApplicationProperty:AppUser}'',''{ApplicationProperty:AppCode}'')=''Y'' order by 1}'';'||Chr(10)||
'items json:=''{FormProperty:ItemsSelectedJSON}'';'||Chr(10)||
'rec record;'||Chr(10)||
'begin'||Chr(10)||
'for rec in (select key from json_each_text(items)) loop'||Chr(10)||
'delete from lui_t_object_right where '||Chr(10)||
'app_code=''{ApplicationProperty:AppCode}'''||Chr(10)||
'and usersgroup_code=ug and object_type=''UI_ELEMENT'' '||Chr(10)||
'and object=''{FormProperty:Code}.''||rec.key'||Chr(10)||
'and action_type=''RUN'';'||Chr(10)||
'insert into lui_t_object_right(app_code,usersgroup_code,object_type,object,action_type,status)'||Chr(10)||
'values(''{ApplicationProperty:AppCode}'',ug,''UI_ELEMENT'',''{FormProperty:Code}.''||rec.key,''RUN'',''REVOKE'');'||Chr(10)||
'end loop;'||Chr(10)||
'end', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_DEL_RIGHT', 'PROMPT', 'Y',
'RUS:[ico:{Property:ICON}]   ;ENG:[ico:{Property:ICON}]Revoke access from usergroup;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_DEL_RIGHT', 'ROLE', null, 'RMB', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_EFFECTIVE_RIGHT', 'COMMAND', null, 'LUI_L_EFF_OBJECT_RIGHTS', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_EFFECTIVE_RIGHT', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_EFFECTIVE_RIGHT', 'ICON', null, 'user', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_EFFECTIVE_RIGHT', 'PROMPT', 'Y',
'RUS:[ico:{Property:ICON}] ;ENG:[ico:{Property:ICON}]Users access rights;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_EFFECTIVE_RIGHT', 'ROLE', null, 'RMB', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_LINKED_FILES', 'COMMAND', null, 'LUI_L_LINKED_FILE_ALL', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_LINKED_FILES', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_LINKED_FILES', 'ICON', null, 'clip', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_LINKED_FILES', 'PROMPT', 'Y', 'RUS: ;ENG:Attached files;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AD_LINKED_FILES', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AOTR_APP_CODE', 'NAME', null, 'P_APPCODE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AOTR_APP_CODE', 'VALUE', null, '{ApplicationProperty:AppCode}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AR_P_ADD_WHERE', 'NAME', null, 'P_ADD_WHERE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AR_P_ADD_WHERE', 'VALUE', null, 'and r.action_type=''RUN''', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AR_P_APPCODE', 'NAME', null, 'P_APPCODE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AR_P_APPCODE', 'VALUE', null, '{ApplicationProperty:AppCode}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AR_P_OBJ', 'NAME', null, 'P_OBJ', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AR_P_OBJ', 'VALUE', null, '{FormProperty:Code}.{FormProperty:CurrentMenuItem}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AR_P_OBJTYPE', 'NAME', null, 'P_OBJTYPE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AR_P_OBJTYPE', 'VALUE', null, 'UI_ELEMENT', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AU_P_APPCODE', 'NAME', null, 'P_APPCODE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AU_P_APPCODE', 'VALUE', null, '{ApplicationProperty:AppCode}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AUG_P_APPCODE', 'NAME', null, 'P_APPCODE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'AUG_P_APPCODE', 'VALUE', null, '{ApplicationProperty:AppCode}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'CHANGE_PASSWORD_APPCODE', 'NAME', null, 'P_APPCODE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'CHANGE_PASSWORD_APPCODE', 'VALUE', null, 'LUI4ORA2PG', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'CHANGE_PASSWORD_USERNAME', 'NAME', null, 'P_USERNAME', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'CHANGE_PASSWORD_USERNAME', 'VALUE', null, '{SQL:select o2p_f_me()}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'ER_P_ADD_WHERE', 'NAME', null, 'P_ADD_WHERE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'ER_P_ADD_WHERE', 'VALUE', null, 'and atr.code = ''RUN''', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'ER_P_APPCODE', 'NAME', null, 'P_APPCODE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'ER_P_APPCODE', 'VALUE', null, '{ApplicationProperty:AppCode}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'ER_P_OBJ', 'NAME', null, 'P_OBJ', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'ER_P_OBJ', 'VALUE', null, '{FormProperty:Code}.{FormProperty:CurrentMenuItem}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'ER_P_OBJTYPE', 'NAME', null, 'P_OBJTYPE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'ER_P_OBJTYPE', 'VALUE', null, 'UI_ELEMENT', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'EXIT', 'AFTER', null, 'EXIT', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'EXIT', 'PROC_INITIALLY', null, 'CloseSession:', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'EXIT', 'PROMPT', 'Y', 'RUS:  ;ENG:Action when closing;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'EXIT', 'ROLE', null, 'CLOSE WIZARD', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_ASYNC_TASK', 'ACTIVE', null,
'{SQL:(LUI$)select ''Y'' from lui_t_task where app_code=''{ApplicationProperty:AppCode}'' limit 1}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_ASYNC_TASK', 'COMMAND', null, 'LUI_L_TASK_ASYNC_MONITOR', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_ASYNC_TASK', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_ASYNC_TASK', 'ICON', null, 'task', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_ASYNC_TASK', 'PROMPT', 'Y', 'RUS: ;ENG:Async tasks;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_ASYNC_TASK', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_LUI_SESSIONS', 'COMMAND', null, 'LUI_L_SESSION', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_LUI_SESSIONS', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_LUI_SESSIONS', 'EXPLANATION', 'Y',
'RUS:    ;ENG:User sessions in the application system;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_LUI_SESSIONS', 'ICON', null, 'lui_sessions', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_LUI_SESSIONS', 'PROMPT', 'Y',
'RUS:  {ApplicationProperty:AppCode};ENG:{ApplicationProperty:AppCode} sessions;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_LUI_SESSIONS', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_PG_MUTUAL_LOCKS', 'COMMAND', null, 'LUI_L_PG_MUTUAL_LOCKS', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_PG_MUTUAL_LOCKS', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_PG_MUTUAL_LOCKS', 'EXPLANATION', 'Y',
'RUS:    ;ENG:List of sessions blocking other sessions;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_PG_MUTUAL_LOCKS', 'ICON', null, 'chain', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_PG_MUTUAL_LOCKS', 'PROMPT', 'Y',
'RUS:   ;ENG:Mutual database session locks;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_PG_MUTUAL_LOCKS', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_PG_SESSIONS', 'COMMAND', null, 'LUI_L_PG_SESSION', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_PG_SESSIONS', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_PG_SESSIONS', 'EXPLANATION', 'Y',
'RUS:    PostgreSQL;ENG:List of user sessions in PostgreSQL;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_PG_SESSIONS', 'ICON', null, 'db_sessions', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_PG_SESSIONS', 'PROMPT', 'Y', 'RUS:  ;ENG:Database sessions;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'M_PG_SESSIONS', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'MONITORING', 'AUTOEXPAND', null, '{F:P_AUTOEXPAND}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'MONITORING', 'EXPLANATION', 'Y',
'RUS:C    ;ENG:Users sessions etc.;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'MONITORING', 'ICON', null, 'tree_marketing', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'MONITORING', 'PROMPT', 'Y', 'RUS:;ENG:Monitoring;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_CHANGE_PASSWORD', 'COMMAND', null, 'LUI_B_USER_PASSWORD', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_CHANGE_PASSWORD', 'COMMAND_TYPE', null, 'BLANK', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_CHANGE_PASSWORD', 'EXPLANATION', 'Y', 'RUS: ;ENG:Change Password;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_CHANGE_PASSWORD', 'PROMPT', 'Y', 'RUS: ;ENG:Change Password;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_MEMBER', 'COMMAND', null, 'O2P_L_MEMBER', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_MEMBER', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_MEMBER', 'EXPLANATION', 'Y', 'RUS: ;ENG:Project Members;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_MEMBER', 'PROMPT', 'Y', 'RUS: ;ENG:Project members;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_PROJECT', 'COMMAND', null, 'O2P_L_PROJECT', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_PROJECT', 'COMMAND_TYPE', null, 'TREE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_PROJECT', 'EXPLANATION', 'Y', 'RUS:;ENG:Migration projects;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_PROJECT', 'PROMPT', 'Y', 'RUS:;ENG:Migration projects;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF', 'EXPLANATION', 'Y', 'RUS:;ENG:References;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF', 'PROMPT', 'Y', 'RUS:;ENG:References;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_ACS_RESCODE', 'COMMAND', null, 'O2P_L_RF_ACS_RESCODE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_ACS_RESCODE', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_ACS_RESCODE', 'EXPLANATION', 'Y',
'RUS:   ;ENG:Auto-Migration Result Code;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_ACS_RESCODE', 'PROMPT', 'Y',
'RUS:   ;ENG:Auto-Migration Result Code;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_ACSESSION', 'EXPLANATION', 'Y', 'RUS:;ENG:Automigration;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_ACSESSION', 'PROMPT', 'Y', 'RUS:;ENG:Automigration;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_AMSTAGE', 'COMMAND', null, 'O2P_L_RF_AMSTAGE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_AMSTAGE', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_AMSTAGE', 'EXPLANATION', 'Y',
'RUS:   ;ENG:Stages of Task for Auto-Migration;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_AMSTAGE', 'PROMPT', 'Y',
'RUS:   ;ENG:Stages of Task for Auto-Migration;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_CATEGORY', 'COMMAND', null, 'O2P_L_RF_CATEGORY', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_CATEGORY', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_CATEGORY', 'EXPLANATION', 'Y', 'RUS: ;ENG:Object categories;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_CATEGORY', 'PROMPT', 'Y', 'RUS: ;ENG:Object categories;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_CONFIG_GROUP', 'COMMAND', null, 'O2P_L_RF_CONFIG_GROUP', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_CONFIG_GROUP', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_CONFIG_GROUP', 'EXPLANATION', 'Y',
'RUS:  ;ENG:Groups of Configuration Parameter;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_CONFIG_GROUP', 'PROMPT', 'Y',
'RUS:  ;ENG:Groups of Configuration Parameter;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_DATATYPE', 'COMMAND', null, 'O2P_L_RF_DATATYPE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_DATATYPE', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_DATATYPE', 'EXPLANATION', 'Y', 'RUS: ;ENG:Data Types;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_DATATYPE', 'PROMPT', 'Y', 'RUS: ;ENG:Data Types;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_EXPORT', 'EXPLANATION', 'Y', 'RUS:;ENG:Export;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_EXPORT', 'PROC_FINALLY', null,
'SQL:commit'||Chr(10)||
Chr(10)||
'HTML:(Title:rf_dml.html;Target:T;){FormProperty:PropertyFromFile}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_EXPORT', 'PROC_INITIALLY', null,
'FormProperty:PropertyFromFile='||Chr(10)||
Chr(10)||
'FormProperty:PropertyFromFile={SQL:select o2p_f_rf_dml(null)}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_EXPORT', 'PROMPT', 'Y', 'RUS:;ENG:Export;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_MIGRATION_LEVEL', 'COMMAND', null, 'O2P_L_RF_MIGRATION_LEVEL', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_MIGRATION_LEVEL', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_MIGRATION_LEVEL', 'EXPLANATION', 'Y', 'RUS: ;ENG:Migration Levels;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_MIGRATION_LEVEL', 'PROMPT', 'Y', 'RUS: ;ENG:Migration Levels;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_MSTEP', 'EXPLANATION', 'Y', 'RUS: ;ENG:Migration stages;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_MSTEP', 'PROMPT', 'Y', 'RUS: ;ENG:Migration stages;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECT', 'EXPLANATION', 'Y', 'RUS:;ENG:Objects;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECT', 'PROMPT', 'Y', 'RUS:;ENG:Objects;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECT_STATUS', 'COMMAND', null, 'O2P_L_RF_OBJECT_STATUS', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECT_STATUS', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECT_STATUS', 'EXPLANATION', 'Y',
'RUS:  Postgres;ENG:Postgres Object Status;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECT_STATUS', 'PROMPT', 'Y',
'RUS:  Postgres;ENG:Postgres Object Status;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECT_TYPE', 'COMMAND', null, 'O2P_L_RF_OBJECT_TYPE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECT_TYPE', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECT_TYPE', 'EXPLANATION', 'Y',
'RUS:  ;ENG:Project Object Types;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECT_TYPE', 'PROMPT', 'Y',
'RUS:  ;ENG:Project Object Types;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECTS4RUN', 'COMMAND', null, 'O2P_L_RF_OBJECTS4RUN', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECTS4RUN', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECTS4RUN', 'EXPLANATION', 'Y',
'RUS:    ;ENG:Auto-Migration Variants;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_OBJECTS4RUN', 'PROMPT', 'Y',
'RUS:    ;ENG:Auto-Migration Variants;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PARAMETER', 'EXPLANATION', 'Y', 'RUS: ;ENG:Parameters;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PARAMETER', 'PROMPT', 'Y', 'RUS: ;ENG:Parameters;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PARAMETER_', 'COMMAND', null, 'O2P_L_RF_PARAMETER', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PARAMETER_', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PARAMETER_', 'EXPLANATION', 'Y',
'RUS: ;ENG:Parameters of the Configuration;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PARAMETER_', 'PROMPT', 'Y',
'RUS: ;ENG:Parameters of the Configuration;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PARAMETER_VALUE', 'COMMAND', null, 'O2P_L_RF_ALLOW_PAR_VALUE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PARAMETER_VALUE', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PARAMETER_VALUE', 'EXPLANATION', 'Y',
'RUS:   ;ENG:Allowable Parameter Values;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PARAMETER_VALUE', 'PROMPT', 'Y',
'RUS:   ;ENG:Allowable Parameter Values;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PG_OBJECT', 'EXPLANATION', 'Y', 'RUS: Postgres;ENG:Postgres objects;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PG_OBJECT', 'PROMPT', 'Y', 'RUS: Postgres;ENG:Postgres objects;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_POBJECT_STATUS', 'COMMAND', null, 'O2P_L_RF_POBJECT_STATUS', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_POBJECT_STATUS', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_POBJECT_STATUS', 'EXPLANATION', 'Y',
'RUS:  ;ENG:Project Object Statuses;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_POBJECT_STATUS', 'PROMPT', 'Y',
'RUS:  ;ENG:Project Object Statuses;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_POSTGRES_TYPE', 'COMMAND', null, 'O2P_L_RF_POSTGRES_TYPE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_POSTGRES_TYPE', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_POSTGRES_TYPE', 'EXPLANATION', 'Y',
'RUS:  Postgres;ENG:Postgres Object Types;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_POSTGRES_TYPE', 'PROMPT', 'Y',
'RUS:  Postgres;ENG:Postgres Object Types;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PROJECT_OBJECT', 'EXPLANATION', 'Y', 'RUS: ;ENG:Project objects;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PROJECT_OBJECT', 'PROMPT', 'Y', 'RUS: ;ENG:Project objects;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PROJECT_STATUS', 'COMMAND', null, 'O2P_L_RF_PROJECT_STATUS', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PROJECT_STATUS', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PROJECT_STATUS', 'EXPLANATION', 'Y', 'RUS: ;ENG:Project Statuses;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_PROJECT_STATUS', 'PROMPT', 'Y', 'RUS: ;ENG:Project Statuses;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_RES4STEPSCRIPT', 'COMMAND', null, 'O2P_L_RF_RES4STEPSCRIPT', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_RES4STEPSCRIPT', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_RES4STEPSCRIPT', 'EXPLANATION', 'Y',
'RUS:    ;ENG:Step Script Ececution Result;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_RES4STEPSCRIPT', 'PROMPT', 'Y',
'RUS:    ;ENG:Step Script Execution Result;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_RESTRICTION_TYPE', 'COMMAND', null, 'O2P_L_RF_RESTRICT_TYPE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_RESTRICTION_TYPE', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_RESTRICTION_TYPE', 'EXPLANATION', 'Y',
'RUS:  ;ENG:Types of migration restrictions;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_RESTRICTION_TYPE', 'PROMPT', 'Y',
'RUS:  ;ENG:Types of migration restrictions;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_SERVER', 'COMMAND', null, 'O2P_L_RF_SERVER', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_SERVER', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_SERVER', 'EXPLANATION', 'Y', 'RUS:;ENG:Servers;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_SERVER', 'PROMPT', 'Y', 'RUS:;ENG:Servers;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_STEP_STATUS', 'COMMAND', null, 'O2P_L_RF_STEP_STATUS', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_STEP_STATUS', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_STEP_STATUS', 'EXPLANATION', 'Y',
'RUS:  ;ENG:Migration Step Statuses;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_STEP_STATUS', 'PROMPT', 'Y',
'RUS:  ;ENG:Migration Step Statuses;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_STEP_TYPE', 'COMMAND', null, 'O2P_L_RF_STEP_TYPE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_STEP_TYPE', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_STEP_TYPE', 'EXPLANATION', 'Y', 'RUS:  ;ENG:Migration Step Types;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'O2P_M_RF_STEP_TYPE', 'PROMPT', 'Y', 'RUS:  ;ENG:Migration Step Types;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'P_AUTOEXPAND', 'VALUE', null,
'{SQL:(LUI$)select lui_f_get_application_property(''{F:P_APPCODE}'',''MAIN_MENU_AUTOEXPAND'')}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'P_AUTORUN', 'VALUE', null,
'{SQL:(LUI$)select case lui_f_get_application_property(''{F:P_APPCODE}'',''MAIN_MENU_AUTORUNITEM'') when ''Y'' then ''AUTO'' else ''DBLCLICK'' end}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'POSITION$', 'VALUE', null, 'TopLeft', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'SYSMENU$ABOUT', 'ACTIVE', null, 'N', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'SYSMENU$ABOUT', 'DISPLAY', null, 'N', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'SYSMENU$ABOUT', 'LOCK', null, 'N', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'SYSMENU$ABOUT_APP', 'EXPLANATION', 'Y',
'RUS:  " ";ENG:Show "About" page;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'SYSMENU$ABOUT_APP', 'LOCK', null, 'N', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'SYSMENU$ABOUT_APP', 'PROC_INITIALLY', null,
'HTML:(Title:{NLS:RUS: ;ENG:About application;};Target:M;)ApplicationProperty:ABOUT_{Property:CURRENT_LANG}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'SYSMENU$ABOUT_APP', 'PROMPT', 'Y',
'RUS:[ico:info] ;ENG:[ico:info]About application;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'SYSMENU$ABOUT_APP', 'ROLE', null, '', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TAP_P_APPCODE', 'NAME', null, 'P_APPCODE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TAP_P_APPCODE', 'VALUE', null, '{ApplicationProperty:AppCode}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TL_P_APPCODE', 'NAME', null, 'P_APPCODE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TL_P_APPCODE', 'VALUE', null, '{ApplicationProperty:AppCode}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TM_P_APPCODE', 'NAME', null, 'P_APPCODE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TM_P_APPCODE', 'VALUE', null, '{ApplicationProperty:AppCode}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE', 'AUTOEXPAND', null, '{F:P_AUTOEXPAND}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE', 'EXPLANATION', 'Y',
'RUS: .     .;ENG:Error messages etc.;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE', 'ICON', null, 'tuning', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE', 'PROMPT', 'Y', 'RUS:;ENG:Configure;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_ADDON', 'COMMAND', null, 'LUI_L_ADDON', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_ADDON', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_ADDON', 'EXPLANATION', 'Y',
'RUS:    ;ENG:Addons descriptions for applications forms;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_ADDON', 'ICON', null, 'addons', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_ADDON', 'PROMPT', 'Y', 'RUS: ;ENG:Addons to forms;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_ADDON', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_ALPHABET', 'COMMAND', null, 'LUI_L_ALPHABET', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_ALPHABET', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_ALPHABET', 'EXPLANATION', 'Y',
'RUS:           ;ENG:Alphabets allow you to set up validation and correction of data entered by users in the form fields;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_ALPHABET', 'ICON', null, 'litera', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_ALPHABET', 'PROMPT', 'Y', 'RUS:;ENG:Alphabets;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_ALPHABET', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_APP_PARAMETERS', 'COMMAND', null, 'LUI_L_APPLICATION_PROPERTY', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_APP_PARAMETERS', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_APP_PARAMETERS', 'EXPLANATION', 'Y',
'RUS: ,    ;ENG:Application-level settings;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_APP_PARAMETERS', 'ICON', null, 'LOV', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_APP_PARAMETERS', 'PROMPT', 'Y',
'RUS: {ApplicationProperty:AppCode};ENG:{ApplicationProperty:AppCode} Application parameters;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_APP_PARAMETERS', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_FILETYPES', 'COMMAND', null, 'LUI_L_FILETYPE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_FILETYPES', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_FILETYPES', 'EXPLANATION', 'Y',
'RUS:      ;ENG:Setting binding application data with associated files ;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_FILETYPES', 'ICON', null, 'copy', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_FILETYPES', 'PROMPT', 'Y',
'RUS:  ;ENG:Types of associated files;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_FILETYPES', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_LANGUAGES', 'COMMAND', null, 'LUI_L_LANGUAGE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_LANGUAGES', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_LANGUAGES', 'EXPLANATION', 'Y',
'RUS: .  ;ENG:Application national languages;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_LANGUAGES', 'ICON', null, 'planet', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_LANGUAGES', 'PROMPT', 'Y', 'RUS:;ENG:Languages;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_LANGUAGES', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_MESSAGES', 'COMMAND', null, 'LUI_L_MESSAGE', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_MESSAGES', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_MESSAGES', 'EXPLANATION', 'Y',
'RUS:   ,    ;ENG:List of error, warning, and informational messages;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_MESSAGES', 'ICON', null, 'cards', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_MESSAGES', 'PROMPT', 'Y', 'RUS: ;ENG:Error messages;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_MESSAGES', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_PG_PARAM', 'COMMAND', null, 'LUI_L_PG_PARAM', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_PG_PARAM', 'COMMAND_TYPE', null, 'LIST', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_PG_PARAM', 'ICON', null, 'pg', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_PG_PARAM', 'PROMPT', 'Y', 'RUS: ;ENG:PostgreSQL parameters;', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'TUNE_PG_PARAM', 'ROLE', null, '{F:P_AUTORUN}', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', 'WINDOW_TYPE$', 'VALUE', null, 'MainMenu', 'LUI4ORA2PG');
insert into lui_t_value (form_code, config_code, element_code, property_code, Is_Multilang, value, app_code) values ('O2P_M_MAIN_MENU', 'DEFAULT', null, 'HEADER', null,
'{NLS:{SQL:(LUI$)Select name from lui_t_application where code=''{Property:AppCode}''}} ({NLS:RUS:;ENG:User;}:{Property:AppUser})', 'LUI4ORA2PG');
commit;