set search_path=lui,public;

begin;  

insert into lui_t_usergroup (app_code,code,name,notes,prg_when_grant, prg_when_revoke,is_system)
values
('LUI4ORA2PG','COMMON','RUS:    ;END:Common group for all users;',
'RUS:       .        .'||
'        .;'||
'ENG:All items of the main menu are prohibited for this group. This makes it easier to grant rights to other groups.'||
'When you create any user, it is automatically included in this group;',
'SQL:select o2p_f_refresh_rights(''{QC:user_name}'');'||chr(10)||
''||chr(10)||
'SQL:commit;',
'SQL:select o2p_f_refresh_rights(''{QC:user_name}'');'||chr(10)||
''||chr(10)||
'SQL:commit;','Y')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,prg_when_grant=EXCLUDED.prg_when_grant,prg_when_revoke=EXCLUDED.prg_when_revoke,is_system='Y';

insert into lui_t_usergroup (app_code,code,name,notes,prg_when_grant, prg_when_revoke,is_system)
values
('LUI4ORA2PG','ADM','RUS:;END:Administrator;',
'RUS:      ,    ;'||
'ENG:Members of this group can manage access rights, users, and user groups;',
'SQL:select o2p_f_refresh_rights(''{QC:user_name}'',''Y'');'||chr(10)||
''||chr(10)||
'SQL:commit;',
'SQL:select o2p_f_refresh_rights(''{QC:user_name}'',''Y'',''REVOKE'');'||chr(10)||
''||chr(10)||
'SQL:select o2p_f_refresh_rights(''{QC:user_name}'',''N'');'||chr(10)||
''||chr(10)||
'SQL:commit;','Y')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,prg_when_grant=EXCLUDED.prg_when_grant,prg_when_revoke=EXCLUDED.prg_when_revoke,is_system='Y';


insert into lui_t_usergroup (app_code,code,name,notes,prg_when_grant, prg_when_revoke,is_system)
values
('LUI4ORA2PG','MEMBER','RUS: ;ENG:Project member;',
'RUS:          ,     ,  ,'||
'   .       ,    '||
'   .;ENG:Members of this group have access to all the functions of working with the project,'||
' but can not create projects, delete them, assign project managers.'||
' Members of this group cannot administer the application by creating permission groups for form elements.;',
null, null,'Y')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,prg_when_grant=EXCLUDED.prg_when_grant,prg_when_revoke=EXCLUDED.prg_when_revoke,is_system='Y';


insert into lui_t_usergroup (app_code,code,name,notes,prg_when_grant, prg_when_revoke,is_system)
values
('LUI4ORA2PG','LEADER','RUS:  ;ENG:Project leader;',
'RUS:;ENG:;', null, null,'Y')
on conflict (app_code,code) do update set name=EXCLUDED.name,notes=EXCLUDED.notes,prg_when_grant=EXCLUDED.prg_when_grant,prg_when_revoke=EXCLUDED.prg_when_revoke,is_system='Y';


commit;
