/*==============================================================*/
/* Table: O2P_T_RF_AMSTAGE                                      */
/*==============================================================*/
CREATE TABLE ORA2PG_PROJECT.O2P_T_RF_AMSTAGE (
   CODE                 ORA2PG_PROJECT.O2P_D_CODE32         NOT NULL,
   NAME                 ORA2PG_PROJECT.O2P_D_NAME           NOT NULL,
   DESCRIPTION          ORA2PG_PROJECT.O2P_D_DESCRIPTION    NOT NULL,
   NUM                  ORA2PG_PROJECT.O2P_D_INTPOS         NOT NULL,
   NOTES                ORA2PG_PROJECT.O2P_D_NOTES          NULL
)
TABLESPACE ORA2PG_PROJECT;

COMMENT ON TABLE ORA2PG_PROJECT.O2P_T_RF_AMSTAGE IS ',   ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_AMSTAGE.CODE IS ' ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_AMSTAGE.NAME IS ' ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_AMSTAGE.DESCRIPTION IS '  ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_AMSTAGE.NUM IS '  ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_AMSTAGE.NOTES IS '  ';

ALTER TABLE ORA2PG_PROJECT.O2P_T_RF_AMSTAGE
   ADD CONSTRAINT O2P_T_RF_AMSTAGE_PK PRIMARY KEY (CODE)
   USING INDEX TABLESPACE ORA2PG_PROJECT;

/*==============================================================*/
/* Index: O2P_T_AMSTAGE_UK                                      */
/*==============================================================*/
CREATE UNIQUE INDEX O2P_T_AMSTAGE_UK ON ORA2PG_PROJECT.O2P_T_RF_AMSTAGE (
NUM
) TABLESPACE ORA2PG_PROJECT;
