﻿/*==============================================================*/
/* Table: O2P_T_RF_CONFIG_GROUP                                 */
/*==============================================================*/
CREATE TABLE ORA2PG_PROJECT.O2P_T_RF_CONFIG_GROUP (
   CODE                 O2P_D_CODE32         NOT NULL,
   NAME                 O2P_D_NAME           NOT NULL,
   DESCRIPTION          O2P_D_DESCRIPTION    NOT NULL,
   NOTES                O2P_D_NOTES          NULL,
   NUM                  O2P_D_INTPOS         NOT NULL,
   CONSTRAINT O2P_T_RF_CONFIG_GROUP_NUM_UK UNIQUE (NUM)
   USING INDEX TABLESPACE ORA2PG_PROJECT
)
WITHOUT OIDS
TABLESPACE ORA2PG_PROJECT;

COMMENT ON TABLE ORA2PG_PROJECT.O2P_T_RF_CONFIG_GROUP IS 'Группа конфигурационных параметров';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_CONFIG_GROUP.CODE IS 'Код группы конфигурационных параметров';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_CONFIG_GROUP.NAME IS 'Наименование группы конфигурационных параметров';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_CONFIG_GROUP.DESCRIPTION IS 'Описание группы конфиграционных параметров';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_CONFIG_GROUP.NOTES IS 'Примечания к группе конфигурационных параметров';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_CONFIG_GROUP.NUM IS 'Порядковый номер группы';

ALTER TABLE ORA2PG_PROJECT.O2P_T_RF_CONFIG_GROUP
   ADD CONSTRAINT O2P_T_RF_CONFIG_GROUP_PK PRIMARY KEY (CODE)
   USING INDEX TABLESPACE ORA2PG_PROJECT;
