/*==============================================================*/
/* Table: O2P_T_RF_OT4OT                                        */
/*==============================================================*/
CREATE TABLE ORA2PG_PROJECT.O2P_T_RF_OT4OT (
   OT_CODE              ORA2PG_PROJECT.O2P_D_CODE32         NOT NULL,
   OT4OT_CODE           ORA2PG_PROJECT.O2P_D_CODE32         NOT NULL
)
TABLESPACE ORA2PG_PROJECT;

COMMENT ON TABLE ORA2PG_PROJECT.O2P_T_RF_OT4OT IS '  ,     ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_OT4OT.OT_CODE IS '   ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_OT4OT.OT4OT_CODE IS '    ';

ALTER TABLE ORA2PG_PROJECT.O2P_T_RF_OT4OT
   ADD CONSTRAINT O2P_T_OT4OT_PK PRIMARY KEY (OT_CODE, OT4OT_CODE)
   USING INDEX TABLESPACE ORA2PG_PROJECT;

/*==============================================================*/
/* Index: O2P_T_OT_FK                                           */
/*==============================================================*/
CREATE  INDEX O2P_T_OT_FK ON ORA2PG_PROJECT.O2P_T_RF_OT4OT (
OT_CODE
) TABLESPACE ORA2PG_PROJECT;

/*==============================================================*/
/* Index: O2P_T_OT4OT_FK                                        */
/*==============================================================*/
CREATE  INDEX O2P_T_OT4OT_FK ON ORA2PG_PROJECT.O2P_T_RF_OT4OT (
OT4OT_CODE
) TABLESPACE ORA2PG_PROJECT;

ALTER TABLE ORA2PG_PROJECT.O2P_T_RF_OT4OT
   ADD CONSTRAINT O2P_T_OT4OT_FK FOREIGN KEY (OT4OT_CODE)
      REFERENCES ORA2PG_PROJECT.O2P_T_RF_OBJECT_TYPE (CODE)
      ON DELETE RESTRICT ON UPDATE CASCADE;

ALTER TABLE ORA2PG_PROJECT.O2P_T_RF_OT4OT
   ADD CONSTRAINT O2P_T_OT_FK FOREIGN KEY (OT_CODE)
      REFERENCES ORA2PG_PROJECT.O2P_T_RF_OBJECT_TYPE (CODE)
      ON DELETE CASCADE ON UPDATE CASCADE;
