/*==============================================================*/
/* Table: O2P_T_RF_PTYPE4STEPTYPE                               */
/*==============================================================*/
CREATE TABLE ORA2PG_PROJECT.O2P_T_RF_PTYPE4STEPTYPE (
   PTYPE2STEPTYPE_CODE  ORA2PG_PROJECT.O2P_D_CODE32         NOT NULL,
   STEPTYPE2PTYPE_CODE  ORA2PG_PROJECT.O2P_D_CODE32         NOT NULL
)
TABLESPACE ORA2PG_PROJECT;

COMMENT ON TABLE ORA2PG_PROJECT.O2P_T_RF_PTYPE4STEPTYPE IS '  Postrgres,      ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_PTYPE4STEPTYPE.PTYPE2STEPTYPE_CODE IS '   Postgres';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_PTYPE4STEPTYPE.STEPTYPE2PTYPE_CODE IS '   ';

ALTER TABLE ORA2PG_PROJECT.O2P_T_RF_PTYPE4STEPTYPE
   ADD CONSTRAINT O2P_T_RF_PTYPE4STEPTYPE_PK PRIMARY KEY (PTYPE2STEPTYPE_CODE, STEPTYPE2PTYPE_CODE)
   USING INDEX TABLESPACE ORA2PG_PROJECT;

/*==============================================================*/
/* Index: O2P_T_RF_PTYPE2STEPTYPE_FK                            */
/*==============================================================*/
CREATE  INDEX O2P_T_RF_PTYPE2STEPTYPE_FK ON ORA2PG_PROJECT.O2P_T_RF_PTYPE4STEPTYPE (
PTYPE2STEPTYPE_CODE
) TABLESPACE ORA2PG_PROJECT;

/*==============================================================*/
/* Index: O2P_T_RF_STEPTYPE2PTYPE_FK                            */
/*==============================================================*/
CREATE  INDEX O2P_T_RF_STEPTYPE2PTYPE_FK ON ORA2PG_PROJECT.O2P_T_RF_PTYPE4STEPTYPE (
STEPTYPE2PTYPE_CODE
) TABLESPACE ORA2PG_PROJECT;

ALTER TABLE ORA2PG_PROJECT.O2P_T_RF_PTYPE4STEPTYPE
   ADD CONSTRAINT O2P_T_RF_PTYPE2STEPTYPE_FK FOREIGN KEY (PTYPE2STEPTYPE_CODE)
      REFERENCES ORA2PG_PROJECT.O2P_T_RF_POSTGRES_TYPE (CODE)
      ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE ORA2PG_PROJECT.O2P_T_RF_PTYPE4STEPTYPE
   ADD CONSTRAINT O2P_T_RF_STEPTYPE2PTYPE_FK FOREIGN KEY (STEPTYPE2PTYPE_CODE)
      REFERENCES ORA2PG_PROJECT.O2P_T_RF_STEP_TYPE (CODE)
      ON DELETE CASCADE ON UPDATE CASCADE;
