﻿/*==============================================================*/
/* Table: O2P_T_RF_RES4STEPSCRIPT                               */
/*==============================================================*/
CREATE TABLE ORA2PG_PROJECT.O2P_T_RF_RES4STEPSCRIPT (
   CODE                 ORA2PG_PROJECT.O2P_D_CODE32         NOT NULL,
   NAME                 ORA2PG_PROJECT.O2P_D_NAME           NOT NULL,
   NOTES                ORA2PG_PROJECT.O2P_D_NOTES          NULL
)
WITHOUT OIDS
TABLESPACE ORA2PG_PROJECT;

COMMENT ON TABLE ORA2PG_PROJECT.O2P_T_RF_RES4STEPSCRIPT IS 'Результат выполнения скрипта для этапа миграции';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_RES4STEPSCRIPT.CODE IS 'Код результата миграции';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_RES4STEPSCRIPT.NAME IS 'Наименование результата миграции';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_RES4STEPSCRIPT.NOTES IS 'Примечания к результату миграции';

ALTER TABLE ORA2PG_PROJECT.O2P_T_RF_RES4STEPSCRIPT
   ADD CONSTRAINT O2P_T_RF_RESULT4STEPSCRIPT_PK PRIMARY KEY (CODE)
   USING INDEX TABLESPACE ORA2PG_PROJECT;
