/*==============================================================*/
/* Table: O2P_T_RF_STYPE2MLEVEL                                 */
/*==============================================================*/
CREATE TABLE ORA2PG_PROJECT.O2P_T_RF_STYPE2MLEVEL (
   STYPE_CODE           ORA2PG_PROJECT.O2P_D_CODE32         NOT NULL,
   MLEVEL_CODE          ORA2PG_PROJECT.O2P_D_CODE32         NOT NULL
)
TABLESPACE ORA2PG_PROJECT;

COMMENT ON TABLE ORA2PG_PROJECT.O2P_T_RF_STYPE2MLEVEL IS '  ,     ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_STYPE2MLEVEL.STYPE_CODE IS '   ';

COMMENT ON COLUMN ORA2PG_PROJECT.O2P_T_RF_STYPE2MLEVEL.MLEVEL_CODE IS '  ';

ALTER TABLE ORA2PG_PROJECT.O2P_T_RF_STYPE2MLEVEL
   ADD CONSTRAINT O2P_T_RF_STYPE2MLEVEL_PK PRIMARY KEY (STYPE_CODE, MLEVEL_CODE)
   USING INDEX TABLESPACE ORA2PG_PROJECT;

/*==============================================================*/
/* Index: O2P_T_RF_STYPE4MLEVEL_FK                              */
/*==============================================================*/
CREATE  INDEX O2P_T_RF_STYPE4MLEVEL_FK ON ORA2PG_PROJECT.O2P_T_RF_STYPE2MLEVEL (
STYPE_CODE
) TABLESPACE ORA2PG_PROJECT;

/*==============================================================*/
/* Index: O2P_T_RF_MLEVEL4STYPE_FK                              */
/*==============================================================*/
CREATE  INDEX O2P_T_RF_MLEVEL4STYPE_FK ON ORA2PG_PROJECT.O2P_T_RF_STYPE2MLEVEL (
MLEVEL_CODE
) TABLESPACE ORA2PG_PROJECT;

ALTER TABLE ORA2PG_PROJECT.O2P_T_RF_STYPE2MLEVEL
   ADD CONSTRAINT O2P_T_RF_MLEVEL4STYPE_FK FOREIGN KEY (MLEVEL_CODE)
      REFERENCES ORA2PG_PROJECT.O2P_T_RF_MIGRATION_LEVEL (CODE)
      ON DELETE RESTRICT ON UPDATE CASCADE;

ALTER TABLE ORA2PG_PROJECT.O2P_T_RF_STYPE2MLEVEL
   ADD CONSTRAINT O2P_T_RF_STYPE4MLEVEL_FK FOREIGN KEY (STYPE_CODE)
      REFERENCES ORA2PG_PROJECT.O2P_T_RF_STEP_TYPE (CODE)
      ON DELETE CASCADE ON UPDATE CASCADE;
