﻿-- object: ora2pg_project.o2p2_t_user | type: TABLE --
-- DROP TABLE IF EXISTS ora2pg_project.o2p2_t_user;
CREATE TABLE ora2pg_project.o2p_t_user(

)
TABLESPACE ora2pg_project;
-- ddl-end --

-- object: username | type: COLUMN --
-- ALTER TABLE ora2pg_project.o2p2_t_user DROP COLUMN IF EXISTS username CASCADE;
ALTER TABLE ora2pg_project.o2p_t_user ADD COLUMN username ora2pg_project.o2p_d_username NOT NULL;
-- ddl-end --


-- object: name | type: COLUMN --
-- ALTER TABLE ora2pg_project.o2p2_t_user DROP COLUMN IF EXISTS name CASCADE;
ALTER TABLE ora2pg_project.o2p_t_user ADD COLUMN name ora2pg_project.o2p_d_name NOT NULL;
-- ddl-end --


-- object: notes | type: COLUMN --
-- ALTER TABLE ora2pg_project.o2p2_t_user DROP COLUMN IF EXISTS notes CASCADE;
ALTER TABLE ora2pg_project.o2p_t_user ADD COLUMN notes ora2pg_project.o2p_d_notes;
-- ddl-end --

-- object: o2p2_t_user_pk | type: CONSTRAINT --
-- ALTER TABLE ora2pg_project.o2p2_t_user DROP CONSTRAINT IF EXISTS o2p2_t_user_pk;
ALTER TABLE ora2pg_project.o2p_t_user ADD CONSTRAINT o2p2_t_user_pk PRIMARY KEY (username)
USING INDEX TABLESPACE ora2pg_project;
-- ddl-end --

COMMENT ON TABLE ora2pg_project.o2p_t_user IS 'Пользователь';
-- ddl-end --
COMMENT ON COLUMN ora2pg_project.o2p_t_user.username IS 'Имя пользователя';
-- ddl-end --
COMMENT ON COLUMN ora2pg_project.o2p_t_user.name IS 'Наименование пользователя (ФИО)';
-- ddl-end --
COMMENT ON COLUMN ora2pg_project.o2p_t_user.notes IS 'Примечания к пользователю';
-- ddl-end --
ALTER TABLE ora2pg_project.o2p_t_user OWNER TO ora2pg_project;
-- ddl-end --


