CREATE OR REPLACE FUNCTION ora2pg_project.o2p_f_ismesuperuser (
)
RETURNS ora2pg_project.o2p_d_ny AS
$body$
DECLARE
  vMe o2p_d_text;
  vRes o2p_d_text;
BEGIN
  select o2p_f_me() into vMe;
  select case count(*) when 0 then 'N' else 'Y' end into vRes from pg_roles where rolname=vMe and rolsuper=true;
  return vRes;
END;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
PARALLEL UNSAFE
COST 100;

ALTER FUNCTION ora2pg_project.o2p_f_ismesuperuser ()
  OWNER TO ora2pg_project;