CREATE OR REPLACE FUNCTION ora2pg_project.o2p_f_owner (
)
RETURNS text AS
$body$
DECLARE
  vOwner text;
BEGIN
  select lower(routine_schema) into vOwner FROM information_schema.routines t where t.routine_name='o2p_f_owner';
  return vOwner;
END;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
PARALLEL UNSAFE
COST 100;

ALTER FUNCTION ora2pg_project.o2p_f_owner ()
  OWNER TO ora2pg_project;