CREATE OR REPLACE FUNCTION ora2pg_project.o2p_f_rf_dml (
  p_rf_table text = NULL::text
)
RETURNS text AS
$body$
declare
--    Oracle
--select array_to_string(array(select 'insert into o2p_t_orasys_role(name) values ('''||name||''');' n
--from o2p_t_orasys_role),chr(10));
--    Oracle
--select array_to_string(array(select 'insert into o2p_t_orasys_schema(name) values ('''||name||''');' n
--from o2p_t_orasys_schema),chr(10));
  str text;
begin
  select array_to_string(array(select o2p_f_rf_export(p_rf_table)),chr(10)) into str;
  str := replace(str,chr(10)||chr(10),chr(10));
  return str;
end;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
PARALLEL UNSAFE
COST 100;

ALTER FUNCTION ora2pg_project.o2p_f_rf_dml (p_rf_table text)
  OWNER TO ora2pg_project;