CREATE OR REPLACE FUNCTION ora2pg_project.o2p_g_po_oracle_script_bur (
)
RETURNS trigger AS
$body$
BEGIN
  if coalesce(new.ORACLE_SCRIPT,'')!=coalesce(OLD.ORACLE_SCRIPT,'') then
    new.orascript_modified='Y';
    new.conversion_required='Y';
  end if;
  return new;
END;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
PARALLEL UNSAFE
COST 100;

ALTER FUNCTION ora2pg_project.o2p_g_po_oracle_script_bur ()
  OWNER TO ora2pg_project;