CREATE OR REPLACE FUNCTION ora2pg_project.o2p_g_poresponsible_log (
)
RETURNS trigger AS
$body$
BEGIN
  if coalesce(new.username,'-')!=coalesce(old.username,'-') or
     coalesce(OLD.task2member,'-')!=coalesce(new.task2member,'-') or
     OLD.postatus4po_code!=new.postatus4po_code then
    insert into o2p_t_poresponsible_log(id,datestamp,
    po4poresp_id,changeusr4poresp,
    oldusr4poresp,newusr4poresp,
    old_task,new_task,
    oldstatus4poresp_code,newstatus4poresp_code)
    values (nextval('o2p_q_poresponsible_log'),CURRENT_TIMESTAMP,
    new.id,o2p_f_me(),
    old.username,NEW.username,
    OLD.task2member,new.task2member,
    OLD.postatus4po_code,new.postatus4po_code);
  end if;
  return new;
END;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
PARALLEL UNSAFE
COST 100;

ALTER FUNCTION ora2pg_project.o2p_g_poresponsible_log ()
  OWNER TO ora2pg_project;