CREATE OR REPLACE FUNCTION ora2pg_project.o2p_g_responsible_log (
)
RETURNS trigger AS
$body$
BEGIN
  if new.step4o_id is not null then
   if coalesce(new.username,'-')!=coalesce(old.username,'-') or
   coalesce(OLD.task2member,'-')!=coalesce(new.task2member,'-') or
   OLD.ostatus4o_code!=new.ostatus4o_code then
    insert into o2p_t_responsible_log(id,datestamp,
    o4resp_id,changeusr4resp,
    oldusr4resp,newusr4resp,
    old_task,new_task,
    oldstatus4resp_code,newstatus4resp_code)
    values (nextval('o2p_q_responsible_log'),CURRENT_TIMESTAMP,
    new.id,o2p_f_me(),
    old.username,NEW.username,
    OLD.task2member,new.task2member,
    OLD.ostatus4o_code,new.ostatus4o_code);
  end if;
 end if;
return new;
END;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
PARALLEL UNSAFE
COST 100;

ALTER FUNCTION ora2pg_project.o2p_g_responsible_log ()
  OWNER TO ora2pg_project;